Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 87cb59d61a4cbcca99b499db745add812a156636)
+++ general/genlib/genlib.xml	(revision 539d7c544fef5a6161a8d4685dd19e4a2801a8ea)
@@ -95,7 +95,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libksba.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="liblinear.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmbim.xml"/>
 
-  <!-- systemd only -->
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmbim.xml"/>
+   <!-- systemd only -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libnfsidmap.xml"/>
 
@@ -106,4 +106,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libsigc++.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libsigsegv.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libssh2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libstatgrab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libtasn1.xml"/>
Index: general/genlib/libssh2.xml
===================================================================
--- general/genlib/libssh2.xml	(revision 539d7c544fef5a6161a8d4685dd19e4a2801a8ea)
+++ general/genlib/libssh2.xml	(revision 539d7c544fef5a6161a8d4685dd19e4a2801a8ea)
@@ -0,0 +1,155 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libssh2-download-http "https://www.libssh2.org/download/libssh2-&libssh2-version;.tar.gz">
+  <!ENTITY libssh2-download-ftp  " ">
+  <!ENTITY libssh2-md5sum        "3d1147cae66e2959ea5441b183de1b1c">
+  <!ENTITY libssh2-size          "835 KB">
+  <!ENTITY libssh2-buildsize     "12 MB">
+  <!ENTITY libssh2-time          "0.1 SBU">
+]>
+
+<sect1 id="libssh2" xreflabel="libssh2-&libssh2-version;">
+  <?dbhtml filename="libssh2.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libssh2-&libssh2-version;</title>
+
+  <indexterm zone="libssh2">
+    <primary sortas="a-libssh2">libssh2</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libssh2</title>
+
+    <para>
+      <application>Libssh2</application> package is a client-side C library
+      implementing the SSH2 protocol.
+    </para>
+
+    &lfs82_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libssh2-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libssh2-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libssh2-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libssh2-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libssh2-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libssh2-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libssh2 Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="libgcrypt"/>,
+      <xref linkend="openssh"/> (required for the testsuite)
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/libssh2"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libssh2</title>
+
+    <para>
+      Install <application>libssh2</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libssh2.so
+        </seg>
+        <seg>
+          None
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libssh2-lib">
+        <term><filename class="libraryfile">libssh2.so</filename></term>
+        <listitem>
+          <para>
+            contains functions to use the SSH2 protocol.
+          </para>
+          <indexterm zone="libssh2 libssh2-lib">
+            <primary sortas="c-libssh2">libssh2.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: general/prog/rust.xml
===================================================================
--- general/prog/rust.xml	(revision 87cb59d61a4cbcca99b499db745add812a156636)
+++ general/prog/rust.xml	(revision 539d7c544fef5a6161a8d4685dd19e4a2801a8ea)
@@ -123,4 +123,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+      <xref linkend="libssh2"/> (required by the libgit crate during
+      <emphasis>some</emphasis> stable installs, but not during others),
       <package>clang</package> from <xref linkend="llvm"/>
       (built with -DLLVM_LINK_LLVM_DYLIB=ON)
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 87cb59d61a4cbcca99b499db745add812a156636)
+++ introduction/welcome/changelog.xml	(revision 539d7c544fef5a6161a8d4685dd19e4a2801a8ea)
@@ -46,4 +46,9 @@
       <itemizedlist>
         <listitem>
+          <para>[ken] - Add libssh2 which is sometimes required during
+          the install of rust. Fixes
+          <ulink url="&blfs-ticket-root;10880">#10880</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Remove -Werror from logrotate, again. Fixes
           <ulink url="&blfs-ticket-root;10879">#10879</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 87cb59d61a4cbcca99b499db745add812a156636)
+++ packages.ent	(revision 539d7c544fef5a6161a8d4685dd19e4a2801a8ea)
@@ -156,4 +156,5 @@
 <!ENTITY libsigc-version              "2.10.0">
 <!ENTITY libsigsegv-version           "2.12">
+<!ENTITY libssh2-version              "1.8.0">
 <!ENTITY libstatgrab-version          "0.91">
 <!ENTITY libtasn1-version             "4.13">