Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision db22f6c7316a8cac70d04617958288c62e131993)
+++ introduction/welcome/changelog.xml	(revision 540d060f35d79171710f626d13f77002e6bedd15)
@@ -49,5 +49,9 @@
       <itemizedlist>
         <listitem>
-          <para>[igor] - Update to lvm2.2.02.109. Fixes
+          <para>[bdubbs] - Clean up CA Certificate install instructions. Fixes
+          <ulink url="&blfs-ticket-root;5350">#5350</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to lvm2.2.02.109. Fixes
           <ulink url="&blfs-ticket-root;5333">#5333</ulink>.</para>
         </listitem>
Index: postlfs/security/cacerts.xml
===================================================================
--- postlfs/security/cacerts.xml	(revision db22f6c7316a8cac70d04617958288c62e131993)
+++ postlfs/security/cacerts.xml	(revision 540d060f35d79171710f626d13f77002e6bedd15)
@@ -82,5 +82,5 @@
     class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>cat > /bin/make-cert.pl &lt;&lt; "EOF"
+<screen role="root"><userinput>cat > /usr/bin/make-cert.pl &lt;&lt; "EOF"
 <literal>#!/usr/bin/perl -w
 
@@ -134,5 +134,5 @@
 EOF
 
-chmod +x /bin/make-cert.pl</userinput></screen>
+chmod +x /usr/bin/make-cert.pl</userinput></screen>
 
    <para>The following script creates the certificates and a bundle of all the
@@ -142,5 +142,5 @@
    user:</para>
 
-<screen role="root"><userinput>cat > /bin/make-ca.sh &lt;&lt; "EOF"
+<screen role="root"><userinput>cat > /usr/bin/make-ca.sh &lt;&lt; "EOF"
 <literal>#!/bin/sh
 # Begin make-ca.sh
@@ -174,5 +174,5 @@
 TRUSTATTRIBUTES="CKA_TRUST_SERVER_AUTH"
 BUNDLE="BLFS-ca-bundle-${VERSION}.crt"
-CONVERTSCRIPT="/bin/make-cert.pl"
+CONVERTSCRIPT="/usr/bin/make-cert.pl"
 SSLDIR="/etc/ssl"
 
@@ -240,5 +240,5 @@
 EOF
 
-chmod +x /bin/make-ca.sh</userinput></screen>
+chmod +x /usr/bin/make-ca.sh</userinput></screen>
 
    <para>Add a short script to remove expired certificates from a directory.
@@ -246,7 +246,7 @@
    class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>cat > /bin/remove-expired-certs.sh &lt;&lt; "EOF"
+<screen role="root"><userinput>cat > /usr/bin/remove-expired-certs.sh &lt;&lt; "EOF"
 <literal>#!/bin/sh
-# Begin /bin/remove-expired-certs.sh
+# Begin /usr/bin/remove-expired-certs.sh
 #
 # Version 20120211
@@ -302,5 +302,5 @@
 EOF
 
-chmod +x /bin/remove-expired-certs.sh</userinput></screen>
+chmod +x /usr/bin/remove-expired-certs.sh</userinput></screen>
 
    <para>The following commands will fetch the certificates and convert them to
@@ -310,21 +310,18 @@
    necessary to update the CA Certificates.</para>
 
-   <screen><userinput>certhost='http://mxr.mozilla.org'                        &amp;&amp;
-certdir='/mozilla/source/security/nss/lib/ckfw/builtins' &amp;&amp;
-url="$certhost$certdir/certdata.txt?raw=1"               &amp;&amp;
-
-wget --output-document certdata.txt $url &amp;&amp;
-unset certhost certdir url               &amp;&amp;
-make-ca.sh                               &amp;&amp;
+   <screen><userinput>URL=&sources-anduin-other-http;/certdata.txt &amp;&amp;
+rm -f certdata.txt &amp;&amp;
+wget $URL          &amp;&amp;
+make-ca.sh         &amp;&amp;
 remove-expired-certs.sh certs</userinput></screen>
 
    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>SSLDIR=/etc/ssl                                             &amp;&amp;
-install -d ${SSLDIR}/certs                                  &amp;&amp;
-cp -v certs/*.pem ${SSLDIR}/certs                           &amp;&amp;
-c_rehash                                                    &amp;&amp;
-install BLFS-ca-bundle*.crt ${SSLDIR}/ca-bundle.crt         &amp;&amp;
-ln -sv ../ca-bundle.crt ${SSLDIR}/certs/ca-certificates.crt &amp;&amp;
+<screen role="root"><userinput>SSLDIR=/etc/ssl                                              &amp;&amp;
+install -d ${SSLDIR}/certs                                   &amp;&amp;
+cp -v certs/*.pem ${SSLDIR}/certs                            &amp;&amp;
+c_rehash                                                     &amp;&amp;
+install BLFS-ca-bundle*.crt ${SSLDIR}/ca-bundle.crt          &amp;&amp;
+ln -sfv ../ca-bundle.crt ${SSLDIR}/certs/ca-certificates.crt &amp;&amp;
 unset SSLDIR</userinput></screen>
 