Index: archive/xfce4-dev-tools.xml
===================================================================
--- archive/xfce4-dev-tools.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
+++ archive/xfce4-dev-tools.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -0,0 +1,156 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY xfce4-dev-tools-download-http
+           "http://archive.xfce.org/src/xfce/xfce4-dev-tools/4.14/xfce4-dev-tools-&xfce4-dev-tools-version;.tar.bz2">
+  <!ENTITY xfce4-dev-tools-download-ftp  " ">
+  <!ENTITY xfce4-dev-tools-md5sum        "5f8fc8af73819c08d9e4c26a3ac457e7">
+  <!ENTITY xfce4-dev-tools-size          "288 KB">
+  <!ENTITY xfce4-dev-tools-buildsize     "3.3 MB">
+  <!ENTITY xfce4-dev-tools-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="xfce4-dev-tools" xreflabel="xfce4-dev-tools-&xfce4-dev-tools-version;">
+  <?dbhtml filename="xfce4-dev-tools.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>xfce4-dev-tools-&xfce4-dev-tools-version;</title>
+
+  <indexterm zone="xfce4-dev-tools">
+    <primary sortas="a-xfce4-dev-tools">xfce4-dev-tools</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to the Xfce4 Development Tools</title>
+
+    <para>
+      The <application>Xfce4 Development Tools</application> are a collection of 
+      tools and macros for building some Xfce aplications.
+    </para>
+
+    &lfs10_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&xfce4-dev-tools-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&xfce4-dev-tools-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &xfce4-dev-tools-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &xfce4-dev-tools-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &xfce4-dev-tools-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &xfce4-dev-tools-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">The Xfce4 Development Tools Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="glib2"/> and
+      <xref linkend="gtk-doc"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/xfce4-dev-tools"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of the Xfce4 Development Tools</title>
+
+    <para>
+      Install the <application>Xfce4 Development Tools</application> by
+      running the following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          xdt-autogen and
+          xdt-csource
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/xfce4/dev-tools
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="xfce4-dev-tools-config">
+        <term><command>xfce4-dev-tools-config</command></term>
+        <listitem>
+          <para>
+            is a <application>GTK+</application> GUI that allows you to
+            change some of your preferences (theme and screen position)
+            for the notifications that the
+            <application>Xfce4 Notification Daemon</application> displays.
+          </para>
+          <indexterm zone="xfce4-dev-tools xfce4-dev-tools-config">
+            <primary sortas="b-xfce4-dev-tools-config">xfce4-dev-tools-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+  </sect2>
+
+</sect1>
Index: general/genutils/telepathy-mission-control.xml
===================================================================
--- general/genutils/telepathy-mission-control.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ general/genutils/telepathy-mission-control.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-bluetooth.xml
===================================================================
--- gnome/platform/gnome-bluetooth.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ gnome/platform/gnome-bluetooth.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-plugins.xml
===================================================================
--- multimedia/libdriv/alsa-plugins.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ multimedia/libdriv/alsa-plugins.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ multimedia/libdriv/gst10-libav.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libnma.xml
===================================================================
--- networking/netlibs/libnma.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ networking/netlibs/libnma.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/network-manager-applet.xml
===================================================================
--- networking/netutils/network-manager-applet.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ networking/netutils/network-manager-applet.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/gnome-icon-theme-extras.xml
===================================================================
--- x/icons/gnome-icon-theme-extras.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ x/icons/gnome-icon-theme-extras.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/gnome-icon-theme-symbolic.xml
===================================================================
--- x/icons/gnome-icon-theme-symbolic.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ x/icons/gnome-icon-theme-symbolic.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/gnome-icon-theme.xml
===================================================================
--- x/icons/gnome-icon-theme.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ x/icons/gnome-icon-theme.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/gnome-themes-extra.xml
===================================================================
--- x/icons/gnome-themes-extra.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ x/icons/gnome-themes-extra.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/icon-naming-utils.xml
===================================================================
--- x/icons/icon-naming-utils.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ x/icons/icon-naming-utils.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -40,5 +40,5 @@
     </para>
 
-   &lfs10_checked;
+   &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libvdpau-va-gl.xml
===================================================================
--- x/installing/libvdpau-va-gl.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ x/installing/libvdpau-va-gl.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -38,5 +38,5 @@
       </para>
 
-      &lfs10_checked;
+      &lfs101_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: ce/apps/xfce4-dev-tools.xml
===================================================================
--- xfce/apps/xfce4-dev-tools.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ 	(revision )
@@ -1,156 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY xfce4-dev-tools-download-http
-           "http://archive.xfce.org/src/xfce/xfce4-dev-tools/4.14/xfce4-dev-tools-&xfce4-dev-tools-version;.tar.bz2">
-  <!ENTITY xfce4-dev-tools-download-ftp  " ">
-  <!ENTITY xfce4-dev-tools-md5sum        "5f8fc8af73819c08d9e4c26a3ac457e7">
-  <!ENTITY xfce4-dev-tools-size          "288 KB">
-  <!ENTITY xfce4-dev-tools-buildsize     "3.3 MB">
-  <!ENTITY xfce4-dev-tools-time          "less than 0.1 SBU">
-]>
-
-<sect1 id="xfce4-dev-tools" xreflabel="xfce4-dev-tools-&xfce4-dev-tools-version;">
-  <?dbhtml filename="xfce4-dev-tools.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>xfce4-dev-tools-&xfce4-dev-tools-version;</title>
-
-  <indexterm zone="xfce4-dev-tools">
-    <primary sortas="a-xfce4-dev-tools">xfce4-dev-tools</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to the Xfce4 Development Tools</title>
-
-    <para>
-      The <application>Xfce4 Development Tools</application> are a collection of 
-      tools and macros for building some Xfce aplications.
-    </para>
-
-    &lfs10_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&xfce4-dev-tools-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&xfce4-dev-tools-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &xfce4-dev-tools-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &xfce4-dev-tools-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &xfce4-dev-tools-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &xfce4-dev-tools-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">The Xfce4 Development Tools Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="glib2"/> and
-      <xref linkend="gtk-doc"/>
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/xfce4-dev-tools"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of the Xfce4 Development Tools</title>
-
-    <para>
-      Install the <application>Xfce4 Development Tools</application> by
-      running the following commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          xdt-autogen and
-          xdt-csource
-        </seg>
-        <seg>
-          None
-        </seg>
-        <seg>
-          /usr/share/xfce4/dev-tools
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-<!--
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="xfce4-dev-tools-config">
-        <term><command>xfce4-dev-tools-config</command></term>
-        <listitem>
-          <para>
-            is a <application>GTK+</application> GUI that allows you to
-            change some of your preferences (theme and screen position)
-            for the notifications that the
-            <application>Xfce4 Notification Daemon</application> displays.
-          </para>
-          <indexterm zone="xfce4-dev-tools xfce4-dev-tools-config">
-            <primary sortas="b-xfce4-dev-tools-config">xfce4-dev-tools-config</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
--->
-  </sect2>
-
-</sect1>
Index: xfce/apps/xfce4-pulseaudio-plugin.xml
===================================================================
--- xfce/apps/xfce4-pulseaudio-plugin.xml	(revision 90d245244538371a0e7f9427f2c62aa3c58343f0)
+++ xfce/apps/xfce4-pulseaudio-plugin.xml	(revision 541ab18c34e53dd707a075235602e35ce4d823aa)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>