Index: general/genlib/enchant.xml
===================================================================
--- general/genlib/enchant.xml	(revision bd17317681c1df39c59f082fe63de22b52f2cba1)
+++ general/genlib/enchant.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
@@ -7,5 +7,5 @@
   <!ENTITY enchant-download-http "https://github.com/AbiWord/enchant/releases/download/v&enchant-version;/enchant-&enchant-version;.tar.gz">
   <!ENTITY enchant-download-ftp  " ">
-  <!ENTITY enchant-md5sum        "b638eef4a9bf5a0fb93b4f51590c5504">
+  <!ENTITY enchant-md5sum        "9b27f815ee35ff12b5b870c2d04361c6">
   <!ENTITY enchant-size          "968 KB">
   <!ENTITY enchant-buildsize     "6.9 MB (add 100 MB for tests)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision bd17317681c1df39c59f082fe63de22b52f2cba1)
+++ introduction/welcome/changelog.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
@@ -46,4 +46,16 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to enchant-2.2.15. Fixes
+          <ulink url="&blfs-ticket-root;14425">#14425</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libepoxy-1.5.5. Fixes
+          <ulink url="&blfs-ticket-root;14423">#14423</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to SDL2-2.0.14. Fixes
+          <ulink url="&blfs-ticket-root;14422">#14422</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to gmime-3.2.7.</para>
         </listitem>
Index: multimedia/libdriv/sdl2.xml
===================================================================
--- multimedia/libdriv/sdl2.xml	(revision bd17317681c1df39c59f082fe63de22b52f2cba1)
+++ multimedia/libdriv/sdl2.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
@@ -7,7 +7,7 @@
   <!ENTITY sdl2-download-http "http://www.libsdl.org/release/SDL2-&sdl2-version;.tar.gz">
   <!ENTITY sdl2-download-ftp  " ">
-  <!ENTITY sdl2-md5sum        "783b6f2df8ff02b19bb5ce492b99c8ff">
-  <!ENTITY sdl2-size          "5.5 MB">
-  <!ENTITY sdl2-buildsize     "173 MB (with docs)">
+  <!ENTITY sdl2-md5sum        "76ed4e6da9c07bd168b2acd9bfefab1b">
+  <!ENTITY sdl2-size          "5.8 MB">
+  <!ENTITY sdl2-buildsize     "178 MB (with docs)">
   <!ENTITY sdl2-time          "0.4 SBU (using parallelism=4; with docs)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision bd17317681c1df39c59f082fe63de22b52f2cba1)
+++ packages.ent	(revision 542a11341684d18cecb876d1343d9395c6187d29)
@@ -95,5 +95,5 @@
 <!ENTITY dbus-glib-version            "0.110">
 <!ENTITY double-conversion-version    "3.1.5">
-<!ENTITY enchant-version              "2.2.14">
+<!ENTITY enchant-version              "2.2.15">
 <!ENTITY exempi-version               "2.5.2">
 <!ENTITY expat-version                "2.1.0">
@@ -137,5 +137,5 @@
 <!ENTITY libdrm-version               "2.4.103">
 <!ENTITY libepoxy-minor               "1.5">
-<!ENTITY libepoxy-version             "&libepoxy-minor;.4">
+<!ENTITY libepoxy-version             "&libepoxy-minor;.5">
 <!-- <!ENTITY libesmtp-version             "1.0.6"> -->
 <!ENTITY libgcrypt-version            "1.8.7">
@@ -1005,5 +1005,5 @@
 <!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
 <!ENTITY sdl-version                  "1.2.15">
-<!ENTITY sdl2-version                 "2.0.12">
+<!ENTITY sdl2-version                 "2.0.14">
 <!ENTITY sound-theme-freedesktop-version "0.8">
 <!ENTITY soundtouch-version           "2.2">
Index: x/lib/libepoxy.xml
===================================================================
--- x/lib/libepoxy.xml	(revision bd17317681c1df39c59f082fe63de22b52f2cba1)
+++ x/lib/libepoxy.xml	(revision 542a11341684d18cecb876d1343d9395c6187d29)
@@ -7,7 +7,7 @@
   <!ENTITY libepoxy-download-http "https://github.com/anholt/libepoxy/releases/download/&libepoxy-version;/libepoxy-&libepoxy-version;.tar.xz">
   <!ENTITY libepoxy-download-ftp  " ">
-  <!ENTITY libepoxy-md5sum        "00f47ad447321f9dc59f85bc1c9d0467">
-  <!ENTITY libepoxy-size          "224 KB">
-  <!ENTITY libepoxy-buildsize     "27 MB (with tests)">
+  <!ENTITY libepoxy-md5sum        "516ff05a42157c86e32c6598321737af">
+  <!ENTITY libepoxy-size          "220 KB">
+  <!ENTITY libepoxy-buildsize     "20 MB (with tests)">
   <!ENTITY libepoxy-time          "0.1 SBU (with tests)">
 ]>