Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/exim.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,5 +1,5 @@
-<sect1 id="exim" xreflabel="exim-&exim-version;">
+<sect1 id="exim" xreflabel="Exim-&exim-version;">
 <?dbhtml filename="exim.html" dir="server"?>
-<title>exim-&exim-version;</title>
+<title>Exim-&exim-version;</title>
 
 &exim-intro;
Index: server/mail/exim/exim-config.xml
===================================================================
--- server/mail/exim/exim-config.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/exim/exim-config.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring exim</title>
+<title>Configuring Exim</title>
 
 <sect3><title>Config files</title>
@@ -10,5 +10,5 @@
 <sect3><title>Configuration Information</title>
 
-<para>Create the exim configuration files with the following commands:</para> 
+<para>Create the Exim configuration files with the following commands:</para> 
 
 <screen><userinput><command>cat &gt;&gt; /etc/aliases &lt;&lt; "EOF"</command>
@@ -24,5 +24,5 @@
 present.</para></note>
 
-<para>To start and stop exim on system boot/shutdown create the
+<para>To start and stop Exim on system boot/shutdown create the
 exim boot script with the following commands:</para>
 
Index: server/mail/exim/exim-desc.xml
===================================================================
--- server/mail/exim/exim-desc.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/exim/exim-desc.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The exim package contains
+<para>The <application>Exim</application> package contains
 <command>exim</command>,
 <command>exim_dumpdb</command>,
Index: server/mail/exim/exim-inst.xml
===================================================================
--- server/mail/exim/exim-inst.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/exim/exim-inst.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>exim</application></title>
+<title>Installation of <application>Exim</application></title>
 
-<para>Before building <application>exim</application>, we need to 
+<para>Before building <application>Exim</application>, we need to 
 create the group and user exim which will run the exim daemon:</para>
 
@@ -8,5 +8,5 @@
 useradd -d /dev/null -g exim -s /bin/false exim</command></userinput></screen>
 
-<para>Install <application>exim</application> with the following commands:</para>
+<para>Install <application>Exim</application> with the following commands:</para>
 
 <screen><userinput><command>sed -e 's/^BIN_DIR.*$/BIN_DIRECTORY=\/usr\/sbin/' src/EDITME | \
Index: server/mail/exim/exim-intro.xml
===================================================================
--- server/mail/exim/exim-intro.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/exim/exim-intro.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>exim</application></title>
+<title>Introduction to <application>Exim</application></title>
 
-<para>The <application>exim</application> package contains a Mail Transport Agent written by the
+<para>The <application>Exim</application> package contains a Mail Transport Agent written by the
 University of Cambridge, released under the <acronym>GNU</acronym> Public License.</para>
 
@@ -14,5 +14,5 @@
 </sect3>
 
-<sect3><title><application>exim</application> dependencies</title>
+<sect3><title><application>Exim</application> dependencies</title>
 <sect4><title>Required</title>
 <para><xref linkend="db"/>
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/postfix.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,5 +1,5 @@
-<sect1 id="postfix" xreflabel="postfix-&postfix-version;">
+<sect1 id="postfix" xreflabel="Postfix-&postfix-version;">
 <?dbhtml filename="postfix.html" dir="server"?>
-<title>postfix-&postfix-version;</title>
+<title>Postfix-&postfix-version;</title>
 
 &postfix-intro;
Index: server/mail/postfix/postfix-config.xml
===================================================================
--- server/mail/postfix/postfix-config.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/postfix/postfix-config.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>postfix</application></title>
+<title>Configuring <application>Postfix</application></title>
 
 <sect3><title>Config files</title>
@@ -43,7 +43,7 @@
 /usr/sbin/postfix start</command></userinput></screen></sect3>
 
-<sect3><title>postfix init.d script</title>
+<sect3><title>Postfix init.d script</title>
 
-<para>To automate the running of postfix, use following command to create the init.d script:</para>
+<para>To automate the running of Postfix, use following command to create the init.d script:</para>
 
 <screen><userinput><command>cat &gt; /etc/rc.d/init.d/postfix &lt;&lt; "EOF"</command>
Index: server/mail/postfix/postfix-desc.xml
===================================================================
--- server/mail/postfix/postfix-desc.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/postfix/postfix-desc.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application>postfix</application> package contains <filename>bounce
+<para>The <application>Postfix</application> package contains <filename>bounce
 </filename>, <filename>cleanup</filename>, <filename>error</filename>,
 <filename>flush</filename>, <filename>lmtp</filename>,
Index: server/mail/postfix/postfix-inst.xml
===================================================================
--- server/mail/postfix/postfix-inst.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/postfix/postfix-inst.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Installation of <application>postfix</application></title>
+<title>Installation of <application>Postfix</application></title>
 
 <para>Before you compile the program, you need to create users and groups that 
Index: server/mail/postfix/postfix-intro.xml
===================================================================
--- server/mail/postfix/postfix-intro.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/postfix/postfix-intro.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to postfix</title>
+<title>Introduction to Postfix</title>
 
-<para>The <application>postfix</application> package contains a Mail
+<para>The <application>Postfix</application> package contains a Mail
 Transport Agent (<acronym>MTA</acronym>). This is useful for sending email 
 to other users of your host machine.  It can also be configured to be a 
@@ -22,5 +22,5 @@
 </sect3>
 
-<sect3><title><application>postfix</application> dependencies</title>
+<sect3><title><application>Postfix</application> dependencies</title>
 <sect4><title>Required</title>
 <para><xref linkend="db"/></para></sect4>
Index: server/mail/qmail/qmail-config.xml
===================================================================
--- server/mail/qmail/qmail-config.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/qmail/qmail-config.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring qmail</title>
+<title>Configuring <application>qmail</application></title>
 
 <sect3><title>Config files</title>
@@ -8,5 +8,5 @@
 <sect3><title>Configuration Information</title>
 
-<para>If inetd is used, the following command will add the qmaild
+<para>If <command>inetd</command> is used, the following command will add the qmaild
 entry to <filename>/etc/inetd.conf</filename>: </para>
 
@@ -14,8 +14,8 @@
 tcp-env /var/qmail/bin/qmail-smtpd" >> /etc/inetd.conf</userinput></screen></para>
 
-<para>If xinetd is used, the following command will add the qmaild
+<para>If <command>xinetd</command> is used, the following command will add the qmaild
 entry to <filename>/etc/xinetd.conf</filename>: </para>
 
-<para><screen><userinput>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</command>
 service smtp
 {
@@ -32,10 +32,10 @@
     log_on_failture         += USERID
 }
-<userinput>EOF</userinput></screen></para>
+<command>EOF</command></userinput></screen>
 
-<para>To automate the running of qmail, use following command to
+<para>To automate the running of <application>qmail</application>, use following command to
 create the init.d script:</para> 
 
-<para><screen><userinput>cat &gt; /etc/rc.d/init.d/qmail &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/qmail &lt;&lt; "EOF"</command>
 #!/bin/sh
 # Begin $rc_base/init.d/qmail
@@ -72,11 +72,11 @@
 
 # End $rc_base/init.d/qmail
-<userinput>EOF
-chmod 755 /etc/rc.d/init.d/qmail</userinput></screen></para>
+<command>EOF
+chmod 755 /etc/rc.d/init.d/qmail</command></userinput></screen>
 
 <para>Create the symbolic links to this file in the relevant
-<filename>rc.d</filename> directory with the following commands:
+<filename>rc.d</filename> directory with the following commands:</para>
 
-<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
 ln -sf ../init.d/qmail ../rc0.d/K25qmail &amp;&amp;
 ln -sf ../init.d/qmail ../rc1.d/K25qmail &amp;&amp;
@@ -85,5 +85,5 @@
 ln -sf ../init.d/qmail ../rc4.d/S35qmail &amp;&amp;
 ln -sf ../init.d/qmail ../rc5.d/S35qmail &amp;&amp;
-ln -sf ../init.d/qmail ../rc6.d/K25qmail</userinput></screen></para>
+ln -sf ../init.d/qmail ../rc6.d/K25qmail</command></userinput></screen>
 
 </sect3>
Index: server/mail/qmail/qmail-inst.xml
===================================================================
--- server/mail/qmail/qmail-inst.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/qmail/qmail-inst.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of qmail</title>
+<title>Installation of <application>qmail</application></title>
 
-<para>qmail needs certain user and group account to be added before
+<para><application>qmail</application> needs certain user and group account to be added before
 installation of the software.  Add the users and groups with the
 following commands:</para>
 
 
-<para><screen><userinput>mkdir /var/qmail &amp;&amp;
+<screen><userinput><command>mkdir /var/qmail &amp;&amp;
 groupadd nofiles &amp;&amp;
 useradd -g nofiles -d /var/qmail/alias alias &amp;&amp;
@@ -16,9 +16,9 @@
 useradd -g qmail -d /var/qmail qmailq &amp;&amp;
 useradd -g qmail -d /var/qmail qmailr &amp;&amp;
-useradd -g qmail -d /var/qmail qmails</userinput></screen></para>
+useradd -g qmail -d /var/qmail qmails</command></userinput></screen>
 
-<para>Install qmail by running the following commands:</para>
+<para>Install <application>qmail</application> by running the following commands:</para>
 
-<para><screen><userinput>patch -Np1 -i ../qmail-1.03.errno.patch &amp;&amp;
+<screen><userinput><command>patch -Np1 -i ../qmail-1.03.errno.patch &amp;&amp;
 make setup check &amp;&amp;
 ./config-fast `hostname` &amp;&amp;
@@ -30,4 +30,4 @@
 for mandir in 1 5 7 8; do mv /var/qmail/man/man$mandir/* \
     /usr/man/man$mandir; done &amp;&amp;
-rm -rf /var/qmail/man</userinput></screen></para>
+rm -rf /var/qmail/man</command></userinput></screen>
 </sect2>
Index: server/mail/qmail/qmail-intro.xml
===================================================================
--- server/mail/qmail/qmail-intro.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/qmail/qmail-intro.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,17 +1,28 @@
 <sect2>
-<title>Introduction to qmail</title>
+<title>Introduction to <application>qmail</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&qmail-download-http;"/>
-Download location (FTP):        <ulink url="&qmail-download-ftp;"/>
-Version used:                   &qmail-version;
-Package size:                   &qmail-size;
-Estimated Disk space required:  &qmail-buildsize;</screen>
-<screen>
-Additional downloads:
-<ulink url="ftp://moni.csi.hu/pub/glibc-2.3.1/qmail-1.03.errno.patch">qmail errno patch</ulink></screen>
+<para>The <application>qmail</application> package contains Dan Bernstein's Mail Transport Agent
+(MTA). <application>qmail</application> provides local and remote mail delivery/relaying.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&qmail-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&qmail-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &qmail-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&qmail-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&qmail-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required patch:
+<ulink url="ftp://moni.csi.hu/pub/glibc-2.3.1/qmail-1.03.errno.patch">qmail
+errno patch</ulink></para></listitem></itemizedlist>
+</sect3>
 
 
-<para>The qmail package contains Dan Bernstein's Mail Transport Agent
-(MTA). qmail provides local and remote mail delivery/relaying.</para>
-
 </sect2>
Index: server/mail/qmail/qmail.ent
===================================================================
--- server/mail/qmail/qmail.ent	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/qmail/qmail.ent	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -9,2 +9,3 @@
 <!ENTITY qmail-download-ftp "">
 <!ENTITY qmail-size "225 KB">
+<!ENTITY qmail-time "">
Index: server/mail/sendmail.xml
===================================================================
--- server/mail/sendmail.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/sendmail.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,5 +1,5 @@
-<sect1 id="sendmail" xreflabel="sendmail-&sendmail-version;">
+<sect1 id="sendmail" xreflabel="Sendmail-&sendmail-version;">
 <?dbhtml filename="sendmail.html" dir="server"?>
-<title>sendmail-&sendmail-version;</title>
+<title>Sendmail-&sendmail-version;</title>
 
 &sendmail-intro;
Index: server/mail/sendmail/sendmail-config.xml
===================================================================
--- server/mail/sendmail/sendmail-config.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/sendmail/sendmail-config.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>sendmail</application></title>
+<title>Configuring <application>Sendmail</application></title>
 
 <sect3><title>Config files</title>
@@ -19,6 +19,6 @@
 newaliases -v</command></userinput></screen>
 
-<para>To start and stop sendmail on system boot/shutdown create the
-sendmail boot script with the following commands:</para>
+<para>To start and stop Sendmail on system boot/shutdown create the
+<command>sendmail</command> boot script with the following commands:</para>
 
 <note><para>The -qNm option, where N is number of minutes, controls
Index: server/mail/sendmail/sendmail-desc.xml
===================================================================
--- server/mail/sendmail/sendmail-desc.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/sendmail/sendmail-desc.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application>sendmail</application> package contains
+<para>The <application>Sendmail</application> package contains
 <command>mail.local</command>,
 <command>rmail</command>,
Index: server/mail/sendmail/sendmail-inst.xml
===================================================================
--- server/mail/sendmail/sendmail-inst.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/sendmail/sendmail-inst.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>sendmail</application></title>
+<title>Installation of <application>Sendmail</application></title>
 
-<para>Before building <application>sendmail</application>, we need to create users, groups and
+<para>Before building <application>Sendmail</application>, we need to create users, groups and
 directories that sendmail uses with the following commands:</para>
 
@@ -12,5 +12,5 @@
 mkdir /var/spool/mqueue</command></userinput></screen>
 
-<para>Install <application>sendmail</application> with the following commands:</para>
+<para>Install <application>Sendmail</application> with the following commands:</para>
 
 <screen><userinput><command>cat &gt; devtools/Site/site.config.m4 &lt;&lt; "EOF"
Index: server/mail/sendmail/sendmail-intro.xml
===================================================================
--- server/mail/sendmail/sendmail-intro.xml	(revision 79f87f948f702a18a6372ab2b2033fef0d6e7e42)
+++ server/mail/sendmail/sendmail-intro.xml	(revision 547df0bcb64b755c0bfb9ff265c87480ff04d65d)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>sendmail</application></title>
+<title>Introduction to <application>Sendmail</application></title>
 
-<para>The <application>sendmail</application> package contains a Mail Transport Agent
+<para>The <application>Sendmail</application> package contains a Mail Transport Agent
 (<acronym>MTA</acronym>).</para>
 
@@ -14,5 +14,5 @@
 </sect3>
 
-<sect3><title><application>sendmail</application> dependencies</title>
+<sect3><title><application>Sendmail</application> dependencies</title>
 <sect4><title>Required</title>
 <para><xref linkend="db"/> and <xref linkend="procmail"/>