Index: gnome/lib/libbonoboui/libbonoboui-inst.xml
===================================================================
--- gnome/lib/libbonoboui/libbonoboui-inst.xml	(revision 8225de3dea23a96f9c4c6c6ec2d81f13cfdebbbb)
+++ gnome/lib/libbonoboui/libbonoboui-inst.xml	(revision 551c650864bc1178dfb37c1f51b882622cf032a4)
@@ -4,5 +4,6 @@
 <para>Install <application>libbonoboui</application> by running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --disable-gtk-doc &amp;&amp;
+<screen><userinput><command>./configure  --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+--disable-gtk-doc &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: gnome/lib/libbonoboui/libbonoboui.ent
===================================================================
--- gnome/lib/libbonoboui/libbonoboui.ent	(revision 8225de3dea23a96f9c4c6c6ec2d81f13cfdebbbb)
+++ gnome/lib/libbonoboui/libbonoboui.ent	(revision 551c650864bc1178dfb37c1f51b882622cf032a4)
@@ -3,8 +3,8 @@
 <!ENTITY libbonoboui-inst SYSTEM "libbonoboui-inst.xml">
 <!ENTITY libbonoboui-desc SYSTEM "libbonoboui-desc.xml">
-<!ENTITY libbonoboui-version "2.2.2">
-<!ENTITY libbonoboui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.2/libbonoboui-&libbonoboui-version;.tar.bz2">
-<!ENTITY libbonoboui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.2/libbonoboui-&libbonoboui-version;.tar.bz2">
-<!ENTITY libbonoboui-size "740 KB">
-<!ENTITY libbonoboui-buildsize "65.5 MB">
+<!ENTITY libbonoboui-version "2.4.1">
+<!ENTITY libbonoboui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.4/libbonoboui-&libbonoboui-version;.tar.bz2">
+<!ENTITY libbonoboui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.4/libbonoboui-&libbonoboui-version;.tar.bz2">
+<!ENTITY libbonoboui-size "864 KB">
+<!ENTITY libbonoboui-buildsize "68.9 MB">
 <!ENTITY libbonoboui-time "1.71 SBU">
Index: gnome/lib/libglade/libglade-inst.xml
===================================================================
--- gnome/lib/libglade/libglade-inst.xml	(revision 8225de3dea23a96f9c4c6c6ec2d81f13cfdebbbb)
+++ gnome/lib/libglade/libglade-inst.xml	(revision 551c650864bc1178dfb37c1f51b882622cf032a4)
@@ -4,5 +4,5 @@
 <para>Install <application>libglade</application> by running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=$GNOME_PREFIX &amp;&amp;
+<screen><userinput><command>./configure  --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: gnome/lib/libglade/libglade.ent
===================================================================
--- gnome/lib/libglade/libglade.ent	(revision 8225de3dea23a96f9c4c6c6ec2d81f13cfdebbbb)
+++ gnome/lib/libglade/libglade.ent	(revision 551c650864bc1178dfb37c1f51b882622cf032a4)
@@ -7,5 +7,5 @@
 <!ENTITY libglade-download-http "http://ftp.gnome.org/pub/GNOME/sources/libglade/2.0/libglade-&libglade-version;.tar.bz2">
 <!ENTITY libglade-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libglade/2.0/libglade-&libglade-version;.tar.bz2">
-<!ENTITY libglade-size "352 KB">
-<!ENTITY libglade-buildsize "2.7 MB">
+<!ENTITY libglade-size "260 KB">
+<!ENTITY libglade-buildsize "6.5 MB">
 <!ENTITY libglade-time "0.16 SBU">
Index: gnome/lib/libgnomecanvas/libgnomecanvas-inst.xml
===================================================================
--- gnome/lib/libgnomecanvas/libgnomecanvas-inst.xml	(revision 8225de3dea23a96f9c4c6c6ec2d81f13cfdebbbb)
+++ gnome/lib/libgnomecanvas/libgnomecanvas-inst.xml	(revision 551c650864bc1178dfb37c1f51b882622cf032a4)
@@ -4,5 +4,6 @@
 <para>Install <application>libgnomecanvas</application> by running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --disable-gtk-doc &amp;&amp;
+<screen><userinput><command>./configure  --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+--disable-gtk-doc &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: gnome/lib/libgnomecanvas/libgnomecanvas.ent
===================================================================
--- gnome/lib/libgnomecanvas/libgnomecanvas.ent	(revision 8225de3dea23a96f9c4c6c6ec2d81f13cfdebbbb)
+++ gnome/lib/libgnomecanvas/libgnomecanvas.ent	(revision 551c650864bc1178dfb37c1f51b882622cf032a4)
@@ -4,8 +4,8 @@
 <!ENTITY libgnomecanvas-exp SYSTEM "libgnomecanvas-exp.xml">
 <!ENTITY libgnomecanvas-desc SYSTEM "libgnomecanvas-desc.xml">
-<!ENTITY libgnomecanvas-version "2.2.1">
-<!ENTITY libgnomecanvas-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.2/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
-<!ENTITY libgnomecanvas-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.2/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
-<!ENTITY libgnomecanvas-size "504 KB">
-<!ENTITY libgnomecanvas-buildsize "16 MB">
+<!ENTITY libgnomecanvas-version "2.4.0">
+<!ENTITY libgnomecanvas-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.4/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
+<!ENTITY libgnomecanvas-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.4/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
+<!ENTITY libgnomecanvas-size "524 KB">
+<!ENTITY libgnomecanvas-buildsize "15.4 MB">
 <!ENTITY libgnomecanvas-time "0.36 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8225de3dea23a96f9c4c6c6ec2d81f13cfdebbbb)
+++ introduction/welcome/changelog.xml	(revision 551c650864bc1178dfb37c1f51b882622cf032a4)
@@ -12,6 +12,6 @@
 <itemizedlist>
 
-<listitem><para>December 6th, 2003 [larry]: updated to Gnome-VFS-2.4.1
-and libgnome-2.4.0.</para></listitem>
+<listitem><para>December 6th, 2003 [larry]: updated to Gnome-VFS-2.4.1,
+libgnome-2.4.0, libgnomecanvas-2.4.0 and libbonoboui-2.4.1.</para></listitem>
 
 <listitem><para>December 6th, 2003 [igor]: Updated to