Index: archive/kde/devel/devel.xml
===================================================================
--- archive/kde/devel/devel.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
+++ archive/kde/devel/devel.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<!--
+$LastChangedBy$
+$Date$
+-->
+
+<chapter id="kde-devel">
+  <?dbhtml filename="devel.html"?>
+
+  <title>KDE Software and WEB Development Packages</title>
+
+  <para>These <application>KDE</application> applications are generally of
+  interest to software or WEB developers.  General users can skip them without
+  a loss of functionality.  </para>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kdesdk.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kdevelop.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kdewebdev.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kdebindings.xml"/>
+
+</chapter>
Index: archive/kde/devel/kdebindings.xml
===================================================================
--- archive/kde/devel/kdebindings.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
+++ archive/kde/devel/kdebindings.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
@@ -0,0 +1,157 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+  <!ENTITY kdebindings-download-http "&kde-download-http;/kdebindings-&kde-version;.tar.bz2">
+  <!ENTITY kdebindings-download-ftp  "&kde-download-ftp;/kdebindings-&kde-version;.tar.bz2">
+  <!ENTITY kdebindings-md5sum        "7d5119160ac3688ac1a63954d03ab4a8">
+  <!ENTITY kdebindings-size          "5.5 MB">
+  <!ENTITY kdebindings-buildsize     "428 MB">
+  <!ENTITY kdebindings-time          "20 SBU">
+]>
+
+<sect1 id="kdebindings" xreflabel="kdebindings-&kde-version;">
+  <?dbhtml filename="kdebindings.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Kdebindings-&kde-version;</title>
+
+  <indexterm zone="kdebindings">
+    <primary sortas="a-kdebindings">Kdebindings</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Kdebindings</title>
+
+    <para>The <application>kdebindings</application> provides the ability to
+    write <application>KDE</application> applications in a variety of languages
+    including Ruby, Perl, Python, Java, JavaScript, C#, and Smoke.  For
+    details see <ulink url='http://developer.kde.org/language-bindings/'/></para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Download (HTTP): <ulink url="&kdebindings-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&kdebindings-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &kdebindings-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &kdebindings-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &kdebindings-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &kdebindings-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required patch: <ulink
+        url="&patch-root;/kdebindings-&kde-version;-python-1.patch"/></para>
+      </listitem>
+      <listitem>
+        <para>Required patch: <ulink
+        url="&patch-root;/kdebindings-&kde-version;-ruby-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Kdebindings Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="kdebase"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="libjpeg"/>,
+    <xref linkend="libxml2"/>, and
+    <xref linkend="libxslt"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><!-- <xref linkend="GLib"/>,
+    <xref linkend="GTK"/>, -->
+    <xref linkend="python2"/>,
+    <xref linkend="ruby"/>,
+    <xref linkend="icedtea6"/> or <xref linkend="jdk"/>,
+    <xref linkend="seamonkey"/>,
+    <ulink url="http://http://www.riverbankcomputing.co.uk/qscintilla/index.php">QScintilla</ulink>,
+    <ulink url="http://go-mono.org">Mono</ulink>,
+    <ulink url="http://www.southern-storm.com.au/portable_net.html">DotGNU Portable.NET</ulink>, and
+    <ulink url="http://www.microsoft.com/downloads/details.aspx?FamilyId=3A1C93FA-7462-47D0-8E56-8DD34C6292F0&amp;displaylang=en">Rotor</ulink></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/kdebindings"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Kdebindings</title>
+
+    <para><emphasis>Note</emphasis>: If KDE is installed in
+    <filename class='directory'>/opt/kde-&kde-version;</filename>, you'll need
+    to make a modification before the build using the following command:</para>
+
+<screen><userinput>sed -i -e 's@/usr@/opt/kde-&kde-version;@' \
+    python/pykde/configure.py</userinput></screen>
+
+    <para>Install <application>kdebindings</application> with:</para>
+
+<screen><userinput>sed -i 's%echo "yes" | @PYTHON@ configure.py%&amp; -y qt-mt%' \
+    python/Makefile.in &amp;&amp;
+
+patch -Np1 -i $DIR/kdebindings-3.5.10-ruby-1.patch   &amp;&amp;
+patch -Np1 -i $DIR/kdebindings-3.5.10-python-1.patch &amp;&amp;
+
+./configure --prefix=&kde-dir; --disable-debug \
+    --disable-dependency-tracking &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -i ... python/Makefile.in</command>:
+    Specifies that the <filename class='libraryfile'>libqt-mt.so</filename> library
+    should be used to build the pyqt bindings. <command>configure.py</command>
+    will fail if it finds both <filename class='libraryfile'>libqt-mt.so</filename>
+    and <filename class='libraryfile'>libqt.so</filename>.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>Several support programs for software development</seg>
+        <seg><application>KDE</application> bindings for various programming
+        languages</seg>
+        <seg>Subdirectories of /usr/lib and $KDE_PREFIX/share</seg>
+      </seglistitem>
+
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>
Index: archive/kde/devel/kdesdk.xml
===================================================================
--- archive/kde/devel/kdesdk.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
+++ archive/kde/devel/kdesdk.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
@@ -0,0 +1,186 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+  <!ENTITY kdesdk-download-http "&kde-download-http;/kdesdk-&kde-version;.tar.bz2">
+  <!ENTITY kdesdk-download-ftp  "&kde-download-ftp;/kdesdk-&kde-version;.tar.bz2">
+  <!ENTITY kdesdk-md5sum        "ad711d1ce09242bd13b73a9a005f3143">
+  <!ENTITY kdesdk-size          "5.0 MB">
+  <!ENTITY kdesdk-buildsize     "111 MB">
+  <!ENTITY kdesdk-time          "7.5 SBU">
+]>
+
+<sect1 id="kdesdk" xreflabel="kdesdk-&kde-version;">
+  <?dbhtml filename="kdesdk.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Kdesdk-&kde-version;</title>
+
+  <indexterm zone="kdesdk">
+    <primary sortas="a-kdesdk">Kdesdk</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Kdesdk</title>
+
+    <para><application>Kdesdk</application> provides several applications
+    useful for developers.  Programs include a version control system front-end
+    for <application>CVS</application>, a program to view the differences
+    between files, a UML Modeller, and a profile data visualization
+    tool.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Download (HTTP): <ulink url="&kdesdk-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&kdesdk-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &kdesdk-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &kdesdk-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &kdesdk-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &kdesdk-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Kdesdk Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="kdebase"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+       <xref linkend="libjpeg"/>,
+       <xref linkend="subversion"/>,
+       <xref linkend="libxml2"/>,
+       <xref linkend="libxslt"/>, and
+       <xref linkend="db"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="kdepim"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/kdesdk"/></para>
+
+  </sect2>
+
+  <sect2 id="kdesdk-runtime-dependencies"
+         xreflabel="KDE SDK Runtime Dependencies">
+    <title>Run-Time Dependencies</title>
+
+    <para><ulink url="http://www.valgrind.org">Valgrind</ulink> and
+    <xref linkend="cvs"/> are needed at run time for there respective
+    frontends, <command>kcachegrind</command> and <command>cervisia</command></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Kdesdk</title>
+
+    <para>Install <application>kdesdk</application> with:</para>
+
+<screen><userinput>./configure --prefix=&kde-dir; --disable-debug \
+    --disable-dependency-tracking &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>cervisia, kbabel, kcachegrind, kompare, and umbrello</seg>
+        <seg>Several kdesdk specific libraries</seg>
+        <seg>Several subdirectories in $KDE_PREFIX/{include,share}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cervisia">
+        <term><command>cervisia</command></term>
+        <listitem>
+          <para>provides a graphical view of CVS.</para>
+          <indexterm zone="kdesdk cervisia">
+            <primary sortas="b-cervisia">cervisia</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="kbabel">
+        <term><command>kbabel</command></term>
+        <listitem>
+          <para>is a suite of an advanced PO file editor comprising
+          <command>kbabel</command>, a multi functional
+          <command>catalogmanager</command> and a dictionary for translators
+          <command>kbabeldict</command>.</para>
+          <indexterm zone="kdesdk kbabel">
+            <primary sortas="b-kbabel">kbabel</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="kcachegrind">
+        <term><command>kcachegrind</command></term>
+        <listitem>
+          <para>is a <application>KDE</application> frontend for
+          <command>cachegrind</command>, part of
+          <application>Valgrind</application>.</para>
+          <indexterm zone="kdesdk kcachegrind">
+            <primary sortas="b-kcachegrind">kcachegrind</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="kompare">
+        <term><command>kompare</command></term>
+        <listitem>
+          <para>is a program to view the differences between files.</para>
+          <indexterm zone="kdesdk kompare">
+            <primary sortas="b-kompare">kompare</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="umbrello">
+        <term><command>umbrello</command></term>
+        <listitem>
+          <para>is a UML modelling diagram tool.</para>
+          <indexterm zone="kdesdk umbrello">
+            <primary sortas="b-umbrello">umbrello</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: archive/kde/devel/kdevelop.xml
===================================================================
--- archive/kde/devel/kdevelop.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
+++ archive/kde/devel/kdevelop.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
@@ -0,0 +1,178 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+  <!ENTITY kdevelop-download-http "&kde-download-http;/kdevelop-&kdevelop-version;.tar.bz2">
+  <!ENTITY kdevelop-download-ftp  "&kde-download-ftp;/kdevelop-&kdevelop-version;.tar.bz2">
+  <!ENTITY kdevelop-md5sum        "06aa12a89b2c09968a92e1d8b575819c">
+  <!ENTITY kdevelop-size          "9.1 MB">
+  <!ENTITY kdevelop-buildsize     "188 MB (additional 22 MB for API docs)">
+  <!ENTITY kdevelop-time          "16.8 SBU (additional 0.3 SBU for API docs)">
+]>
+
+<sect1 id="kdevelop" xreflabel="kdevelop-&kdevelop-version;">
+  <?dbhtml filename="kdevelop.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Kdevelop-&kdevelop-version;</title>
+
+  <indexterm zone="kdevelop">
+    <primary sortas="a-kdevelop">Kdevelop</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Kdevelop</title>
+
+    <para><application>Kdevelop</application> provides an Integrated
+    Development Environment (IDE) to be used for a wide variety of programming
+    tasks.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Download (HTTP): <ulink url="&kdevelop-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&kdevelop-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &kdevelop-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &kdevelop-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &kdevelop-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &kdevelop-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Kdevelop Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="kdebase"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="libjpeg"/>,
+    <xref linkend="kdesdk"/>, and
+    <xref linkend="libxml2"/>.</para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="python2"/>,
+    <ulink url="http://sourceforge.net/projects/docbase/">DocBase</ulink>,
+    <xref linkend="graphviz"/>, and
+    <xref linkend="doxygen"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/kdevelop"/></para>
+
+  </sect2>
+
+  <sect2 id="kdevelop-runtime-dependencies"
+         xreflabel="KDevelop Runtime Dependencies">
+    <title>Run-Time Dependencies</title>
+
+    <para><application>KDevelop</application> can make use of a large
+    number of external compilers or interpreters for supported languages,
+    version control systems, build tools , and debuggers at run time.
+    Refer to <ulink url="http://www.kdevelop.org/index.html?filename=3.5/requirements.html"/>
+    and the <ulink url="http://docs.kde.org/development/en/kdevelop/kdevelop/">
+    KDevelop User Manual</ulink> to find out if your development
+    environment is supported.</para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Kdevelop</title>
+
+    <para>Install <application>kdevelop</application> with:</para>
+
+<screen><userinput>sed -i -e 's/ kdevutil$//' buildtools/lib/widgets/Makefile.in &amp;&amp;
+./configure --prefix=&kde-dir; --disable-debug \
+    --disable-dependency-tracking &amp;&amp;
+make</userinput></screen>
+
+    <note>
+      <para>If you wish to create the API documentation and you have
+      <application>Doxygen</application> and
+      <application>Graphviz</application> installed run the command
+      <command>make apidox</command>.</para>
+    </note>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+    <para>If you created the API documentation, install it  as the <systemitem
+    class="username">root</systemitem> user with:</para>
+
+<screen role="root"><userinput>make install-apidox</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -i -e 's/ kdevutil$//'
+    buildtools/lib/widgets/Makefile.in</command>: Remove a duplicate entry on a
+    line in the <filename>Makefile</filename> that causes the build of the API
+    documentation to fail.</para>
+
+    <!--
+
+    This is surely wrong.  I can find a reference to kdevbdb at all, but
+    even if it were there, it would be a subdirectory of &kde-dir;.
+
+    <para><command>chown -v -R root:root &kde-dir;/kdevbdb</command>: If
+    <application>kdevelop</application> is built by any user other than
+    <systemitem class="username">root</systemitem> the installed
+    <application>Berkeley-DB</application> files will have incorrect ownership.
+    This command changes the ownership to root:root.</para> -->
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>kdevelop and supporting programs</seg>
+        <seg>Supporting kdevelop libraries</seg>
+        <seg>Supporting subdirectories in $KDE_PREFIX/{include,share}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="kdevelop-prog">
+        <term><command>kdevelop</command></term>
+        <listitem>
+          <para>is an Integrated Development Environment to be used for a wide
+          variety of programming tasks in many programming languages.</para>
+          <indexterm zone="kdevelop kdevelop-prog">
+            <primary sortas="b-kdevelop">kdevelop</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: archive/kde/devel/kdewebdev.xml
===================================================================
--- archive/kde/devel/kdewebdev.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
+++ archive/kde/devel/kdewebdev.xml	(revision 556a307ab836ac03b6ef26d86986c096dfd6273c)
@@ -0,0 +1,157 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+  <!ENTITY kdewebdev-download-http "&kde-download-http;/kdewebdev-&kde-version;.tar.bz2">
+  <!ENTITY kdewebdev-download-ftp  "&kde-download-ftp;/kdewebdev-&kde-version;.tar.bz2">
+  <!ENTITY kdewebdev-md5sum        "7188f351158ca5a7613c3de4a6854b37">
+  <!ENTITY kdewebdev-size          "6.0 MB">
+  <!ENTITY kdewebdev-buildsize     "106 MB">
+  <!ENTITY kdewebdev-time          "6.1 SBU">
+]>
+
+<sect1 id="kdewebdev" xreflabel="kdewebdev-&kde-version;">
+  <?dbhtml filename="kdewebdev.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Kdewebdev-&kde-version;</title>
+
+  <indexterm zone="kdewebdev">
+    <primary sortas="a-kdewebdev">Kdewebdev</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Kdewebdev</title>
+
+    <para><application>Kdewebdev</application> includes
+    <application>KDE</application> based programmers' utilities to generate GUI
+    dialogs, a Web IDE, a stylesheet debugger, and a utility to search and
+    replace strings.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Download (HTTP): <ulink url="&kdewebdev-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&kdewebdev-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &kdewebdev-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &kdewebdev-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &kdewebdev-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &kdewebdev-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Kdewebdev Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="kdebase"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="libjpeg"/>,
+    <xref linkend="libxml2"/>, and
+    <xref linkend="libxslt"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="kdesdk"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/kdewebdev"/></para>
+
+  </sect2>
+
+  <sect2 id="kdewebdev-runtime-dependencies"
+         xreflabel="KDE Webdev Runtime Dependencies">
+    <title>Run-Time Dependencies</title>
+
+    <para>The <application>Quanta</application> application included in
+    <application>kdewebdev</application> can use several other utilities
+    at run time.  <xref linkend="html-tidy"/> can be used to check the validity
+    of HTML documents. <ulink url="http://gubed.sf.net">Gubed</ulink> is
+    useful for debugging PHP scripts. <xref linkend="gnupg"/> or
+    <xref linkend="gnupg2"/> can be used for checking digital signatures.
+    Kompare, from <xref linkend="kdesdk"/> can be used to view changes to
+    files modified outside of <application>Quanta</application>. Cervisia,
+    also from <xref linkend="kdesdk"/>, is useful for interacting with CVS.</para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Kdewebdev</title>
+
+    <para>Install <application>kdewebdev</application> with:</para>
+
+<screen><userinput>./configure --prefix=&kde-dir; --disable-debug \
+    --disable-dependency-tracking &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>kxsldbg and quanta</seg>
+        <seg>kdewebdev specific libraries</seg>
+        <seg>Several subdirectories in $KDE_PREFIX/share</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="kxsldbg">
+        <term><command>kxsldbg</command></term>
+        <listitem>
+          <para>is a GUI front-end to <command>xsldbg</command>,
+          the XSLT debugger.</para>
+          <indexterm zone="kdewebdev kxsldbg">
+            <primary sortas="b-kxsldbg">kxsldbg</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="quanta">
+        <term><command>quanta</command></term>
+        <listitem>
+          <para>is a web development tool that strives to be neutral and
+          transparent to all markup languages, while supporting popular
+          web-based scripting languages, CSS, and other emerging W3C
+          recommendations.</para>
+          <indexterm zone="kdewebdev quanta">
+            <primary sortas="b-quanta">quanta</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>