Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision 4163b5846b3b3b8a9fb7e70df4d4d47a1de70ddf)
+++ general/sysutils/udisks2.xml	(revision 560d49cbe8c491caffaf11ad6ad09685e067a70b)
@@ -7,7 +7,7 @@
   <!ENTITY udisks2-download-http "https://github.com/storaged-project/udisks/releases/download/udisks-&udisks2-version;/udisks-&udisks2-version;.tar.bz2">
   <!ENTITY udisks2-download-ftp  " ">
-  <!ENTITY udisks2-md5sum        "732fb17b84b8ba4bb2b2fb1c7b5a687a">
+  <!ENTITY udisks2-md5sum        "a16999ad7a2174c95ebb925143d61705">
   <!ENTITY udisks2-size          "1.5 MB">
-  <!ENTITY udisks2-buildsize     "36 MB (with tests)">
+  <!ENTITY udisks2-buildsize     "51 MB (with tests)">
   <!ENTITY udisks2-time          "0.3 SBU (with tests)">
 ]>
@@ -93,7 +93,8 @@
     </para>
 
-    <bridgehead renderas="sect4" revision="systemd">Recommended</bridgehead>
-    <para role="recommended" revision="systemd">
-      <xref linkend="systemd"/>
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <phrase revision="systemd"><xref linkend="systemd"/></phrase>
+      <phrase revision="sysv"><xref linkend="elogind"/></phrase>
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4163b5846b3b3b8a9fb7e70df4d4d47a1de70ddf)
+++ introduction/welcome/changelog.xml	(revision 560d49cbe8c491caffaf11ad6ad09685e067a70b)
@@ -45,4 +45,14 @@
       <para>June 27th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to fuse3-3.6.1. Fixes
+          <ulink url="&blfs-ticket-root;12156">#12156</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to udisks-2.8.3. Also, add a dependency on
+          elogind to Udisks on SysV systems because it will use elogind
+          to check permissions before mounting disks. Fixes
+          <ulink url="&blfs-ticket-root;12157">#12157</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to btrfs-progs-5.1.1. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 4163b5846b3b3b8a9fb7e70df4d4d47a1de70ddf)
+++ packages.ent	(revision 560d49cbe8c491caffaf11ad6ad09685e067a70b)
@@ -49,5 +49,5 @@
 <!ENTITY btrfs-progs-version          "5.1.1">
 <!ENTITY dosfstools-version           "4.1">
-<!ENTITY fuse3-version                "3.5.0">
+<!ENTITY fuse3-version                "3.6.1">
 <!ENTITY fuse2-version                "2.9.7">
 <!ENTITY jfsutils-version             "1.1.15">
@@ -297,5 +297,5 @@
 <!--<!ENTITY systemd-stable               "6b4878d"> Unused for now -->
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
-<!ENTITY udisks2-version              "2.8.2">    <!-- stable lt .90 micro version -->
+<!ENTITY udisks2-version              "2.8.3">    <!-- stable lt .90 micro version -->
 <!ENTITY unrar-version                "5.7.5">
 <!ENTITY unzip-version                "6.0">
Index: postlfs/filesystems/fuse3.xml
===================================================================
--- postlfs/filesystems/fuse3.xml	(revision 4163b5846b3b3b8a9fb7e70df4d4d47a1de70ddf)
+++ postlfs/filesystems/fuse3.xml	(revision 560d49cbe8c491caffaf11ad6ad09685e067a70b)
@@ -7,8 +7,8 @@
   <!ENTITY fuse3-download-http "https://github.com/libfuse/libfuse/releases/download/fuse-&fuse3-version;/fuse-&fuse3-version;.tar.xz">
   <!ENTITY fuse3-download-ftp  " ">
-  <!ENTITY fuse3-md5sum        "b5ed5a1695033c474c6668fb1b88c0b8">
-  <!ENTITY fuse3-size          "1.0 MB">
-  <!ENTITY fuse3-buildsize     "13 MB">
-  <!ENTITY fuse3-time          "less than 0.1 SBU">
+  <!ENTITY fuse3-md5sum        "92aaf6209c6de7b1d278eaf0dca1454a">
+  <!ENTITY fuse3-size          "1.1 MB">
+  <!ENTITY fuse3-buildsize     "55 MB">
+  <!ENTITY fuse3-time          "0.2 SBU">
 ]>
 