Index: general/prog/llvm.xml
===================================================================
--- general/prog/llvm.xml	(revision 7c57f8252f644b75aa553a9d2d2efe2ba7007722)
+++ general/prog/llvm.xml	(revision 563e0d61628db261c1b226bb97701ea17ff67389)
@@ -5,19 +5,20 @@
   %general-entities;
 
+  <!ENTITY llvm-url "https://github.com/llvm/llvm-project/releases/download/llvmorg-&llvm-version;">
   <!ENTITY llvm-majmin "7.0"> <!-- used in an explanation -->
-  <!ENTITY llvm-download-http "http://llvm.org/releases/&llvm-version;/llvm-&llvm-version;.src.tar.xz">
+
+  <!ENTITY llvm-download-http "&llvm-url;/llvm-&llvm-version;.src.tar.xz">
   <!ENTITY llvm-download-ftp  " ">
-  <!ENTITY llvm-md5sum        "74818f431563603515a62be1ee69a142">
+  <!ENTITY llvm-md5sum        "9a3b63df01c52556f7afb5617934e79e">
   <!ENTITY llvm-size          "29 MB">
-  <!ENTITY llvm-buildsize     "2.4 GB (with Clang, 717MB installed, add 18 GB for tests)">
-  <!ENTITY llvm-time          "25 SBU (with Clang and parallelism=4, add 5 SBU for tests)">
-
-  <!ENTITY clang-download-http "http://llvm.org/releases/&llvm-version;/cfe-&llvm-version;.src.tar.xz">
-  <!ENTITY clang-md5sum        "988b59cdb372c5a4f44ae4c39df3de73">
+  <!ENTITY llvm-buildsize     "2.4 GB (with Clang, 735 MB installed, add 18 GB for tests)">
+  <!ENTITY llvm-time          "27 SBU (with Clang and parallelism=4, add 5 SBU for tests)">
+
+  <!ENTITY clang-download-http "&llvm-url;/cfe-&llvm-version;.src.tar.xz">
+  <!ENTITY clang-md5sum        "28db72b57ca99307259773e4ac74a6d3">
   <!ENTITY clang-size          "13 MB">
 
-  <!ENTITY rt-version                "&llvm-version;">
-  <!ENTITY compiler-rt-download-http "http://llvm.org/releases/&rt-version;/compiler-rt-&rt-version;.src.tar.xz">
-  <!ENTITY compiler-rt-md5sum        "547893456e22c75d16189a13881bc866">
+  <!ENTITY compiler-rt-download-http "&llvm-url;/compiler-rt-&llvm-version;.src.tar.xz">
+  <!ENTITY compiler-rt-md5sum        "c251e582862f9fcc880802f8f2920096">
   <!ENTITY compiler-rt-size          "1.9 MB">
 ]>
@@ -183,8 +184,8 @@
 
 <screen><userinput>tar -xf ../cfe-&llvm-version;.src.tar.xz -C tools &amp;&amp;
-tar -xf ../compiler-rt-&rt-version;.src.tar.xz -C projects &amp;&amp;
+tar -xf ../compiler-rt-&llvm-version;.src.tar.xz -C projects &amp;&amp;
 
 mv tools/cfe-&llvm-version;.src tools/clang &amp;&amp;
-mv projects/compiler-rt-&rt-version;.src projects/compiler-rt</userinput></screen>
+mv projects/compiler-rt-&llvm-version;.src projects/compiler-rt</userinput></screen>
 <!--
 patch -Np1 -d projects/compiler-rt &lt; ../compiler-rt-4.0.1-glibc-2.26-1.patch</userinput></screen>-->
@@ -241,5 +242,5 @@
       by the <systemitem class="username">root</systemitem> user and makes them
       temporarily unusable by all jobs on the machine.)
-      Note that the Sanitizer based tests (375 of more than 35000 tests run) 
+      Note that the Sanitizer based tests (377 of more than 35000 tests run) 
       are known to fail.
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7c57f8252f644b75aa553a9d2d2efe2ba7007722)
+++ introduction/welcome/changelog.xml	(revision 563e0d61628db261c1b226bb97701ea17ff67389)
@@ -49,8 +49,23 @@
           and libreoffice.</para>
         </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to llvm-8.0.1. Fixes
+          <ulink url="&blfs-ticket-root;12290">#12290</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to feh-3.2.1. Fixes
+          <ulink url="&blfs-ticket-root;12303">#12303</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xterm-348. Fixes
+          <ulink url="&blfs-ticket-root;12302">#12302</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to udisks-2.8.4. Fixes
+          <ulink url="&blfs-ticket-root;12301">#12301</ulink>.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
  
-
     <listitem>
       <para>July 22nd, 2019</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7c57f8252f644b75aa553a9d2d2efe2ba7007722)
+++ packages.ent	(revision 563e0d61628db261c1b226bb97701ea17ff67389)
@@ -297,5 +297,5 @@
 <!--<!ENTITY systemd-stable               "6b4878d"> Unused for now -->
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
-<!ENTITY udisks2-version              "2.8.3">    <!-- stable lt .90 micro version -->
+<!ENTITY udisks2-version              "2.8.4">    <!-- stable lt .90 micro version -->
 <!ENTITY unrar-version                "5.7.5">
 <!ENTITY unzip-version                "6.0">
@@ -325,6 +325,5 @@
 <!ENTITY guile-version                "2.2.6">
 <!ENTITY librep-version               "0.92.7">
-<!ENTITY llvm-version                 "8.0.0">
-<!ENTITY llvm-old-version             "3.9.1">
+<!ENTITY llvm-version                 "8.0.1">
 <!ENTITY lua-version                  "5.3.5">
 <!ENTITY lua52-version                "5.2.4">
@@ -663,5 +662,5 @@
 <!ENTITY xorg-server-version          "1.20.5">
 <!ENTITY twm-version                  "1.0.10">
-<!ENTITY xterm-version                "347">
+<!ENTITY xterm-version                "348">
 <!ENTITY xclock-version               "1.0.9">
 <!ENTITY xinit-version                "1.4.1">
@@ -876,5 +875,5 @@
 <!ENTITY balsa-version                "2.5.7">
 <!ENTITY ekiga-version                "4.0.1">
-<!ENTITY feh-version                  "3.2">
+<!ENTITY feh-version                  "3.2.1">
 <!--<!ENTITY fontforge-date               "2015-02-28">-->
 <!ENTITY fontforge-version            "20170731">
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision 7c57f8252f644b75aa553a9d2d2efe2ba7007722)
+++ x/installing/xterm.xml	(revision 563e0d61628db261c1b226bb97701ea17ff67389)
@@ -8,5 +8,5 @@
   <!--<!ENTITY xterm-download-ftp  "ftp://invisible-island.net/xterm/xterm-&xterm-version;.tgz">-->
   <!ENTITY xterm-download-ftp  " ">
-  <!ENTITY xterm-md5sum        "5d2c56ebd1d81ee40f23236d6e3c2e5b">
+  <!ENTITY xterm-md5sum        "05340ef6eabb96826953346c64b35225">
   <!ENTITY xterm-size          "1.3 MB">
   <!ENTITY xterm-buildsize     "13 MB">
Index: xsoft/other/feh.xml
===================================================================
--- xsoft/other/feh.xml	(revision 7c57f8252f644b75aa553a9d2d2efe2ba7007722)
+++ xsoft/other/feh.xml	(revision 563e0d61628db261c1b226bb97701ea17ff67389)
@@ -7,5 +7,5 @@
   <!ENTITY feh-download-http "http://feh.finalrewind.org/feh-&feh-version;.tar.bz2">
   <!ENTITY feh-download-ftp  " ">
-  <!ENTITY feh-md5sum        "db51079569dad598f26810f6a5144535">
+  <!ENTITY feh-md5sum        "37639abfcc7e8a24a35528bdc5b83d32">
   <!ENTITY feh-size          "2.0 MB">
   <!ENTITY feh-buildsize     "5.5 MB (with tests)">