Index: gnome.ent
===================================================================
--- gnome.ent	(revision 41322106032205162c703afbdaa8d2a362938123)
+++ gnome.ent	(revision 564e2fe7d855f7b030a50c753ec33fb00ed75f82)
@@ -65,9 +65,5 @@
 <!ENTITY gdm-version                       "3.30.3">
 <!ENTITY gnome-user-docs-version           "3.30.2">
-<!ENTITY adwaita-icon-theme-version        "3.32.0">
-<!ENTITY gnome-icon-theme-version          "3.12.0">
-<!ENTITY gnome-icon-theme-extras-version   "3.12.0">
-<!ENTITY gnome-icon-theme-symbolic-version "3.12.0">
-<!ENTITY gnome-themes-extra-version        "3.28">
+<!-- Icons moved to packages.ent, since they're now in the Icons chapter.-->
 <!ENTITY yelp-version                      "3.30.0">
 <!ENTITY notification-daemon-version       "3.20.0">
@@ -83,5 +79,5 @@
 <!ENTITY evolution-version                 "3.30.5">
 <!ENTITY file-roller-version               "3.30.1">
-<!ENTITY gedit-version                     "3.22.1">
+<!-- gedit moved to Editors, so it's now in packages.ent -->
 <!ENTITY gnome-calculator-version          "3.30.1">
 <!ENTITY gnome-color-manager-version       "3.30.0">
Index: packages.ent
===================================================================
--- packages.ent	(revision 41322106032205162c703afbdaa8d2a362938123)
+++ packages.ent	(revision 564e2fe7d855f7b030a50c753ec33fb00ed75f82)
@@ -60,5 +60,4 @@
 <!ENTITY smartmontools-version        "7.0">
 <!ENTITY sshfs-version                "3.5.1">
-<!--<!ENTITY sshfs-fuse-download-version  "2_5">-->
 <!ENTITY xfsprogs-version             "4.20.0">
 
@@ -67,4 +66,5 @@
 <!ENTITY ed-version                   "1.15">
 <!ENTITY emacs-version                "26.1">
+<!ENTITY gedit-version                "3.22.1">
 <!ENTITY joe-version                  "4.6">
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
@@ -83,5 +83,4 @@
 <!-- Part III -->
 <!-- Chapter 9 -->
-<!--<!ENTITY appstream-glib-version       "0.6.13">-->
 <!ENTITY apr-version                  "1.7.0">
 <!ENTITY apr-util-version             "1.6.1">
@@ -135,5 +134,4 @@
 <!ENTITY libepoxy-version             "&libepoxy-minor;.3">
 <!ENTITY libesmtp-version             "1.0.6">
-<!--<!ENTITY libffi-version               "3.2.1">-->
 <!ENTITY libgcrypt-version            "1.8.4">
 <!ENTITY libglade-version             "2.6.4">
@@ -241,6 +239,4 @@
 <!ENTITY gtkhtml-version              "4.10.0">
 <!ENTITY hd2u-version                 "1.0.4">
-<!ENTITY hicolor-icon-theme-version   "0.17">
-<!ENTITY icon-naming-utils-version    "0.8.90">
 <!ENTITY highlight-version            "3.50">
 <!ENTITY ibus-version                 "1.5.20">
@@ -315,5 +311,4 @@
 <!ENTITY cmake-minor-version          "1">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
-<!--<!ENTITY cvs-version                  "1.11.23">-->
 <!ENTITY dejagnu-version              "1.6.2">
 <!ENTITY doxygen-version              "1.8.15">
@@ -321,5 +316,4 @@
 <!ENTITY expect-version               "5.45.4">
 <!ENTITY gcc-version                  "8.3.0">
-<!--<!ENTITY gcc-ada-version              "8.3.0">-->
 <!ENTITY gc-version                   "8.0.4">
 <!ENTITY gdb-version                  "8.2.1">
@@ -542,5 +536,5 @@
 <!-- Part IV -->
 <!-- Chapter 14 -->
-<!ENTITY ppp-version                  "2.4.5">
+<!--<!ENTITY ppp-version                  "2.4.5">-->
 <!ENTITY dhcpcd-version               "7.1.1">
 <!ENTITY dhcp-version                 "4.4.1">
@@ -730,6 +724,16 @@
 <!ENTITY sawfish-version              "1.12.0">
 
+<!-- Chapter 28 -->
+<!ENTITY lxde-icon-theme-version      "0.5.1">
+<!ENTITY icon-naming-utils-version    "0.8.90">
+<!ENTITY hicolor-icon-theme-version   "0.17">
+<!ENTITY adwaita-icon-theme-version   "3.32.0">
+<!ENTITY gnome-icon-theme-version     "3.12.0">
+<!ENTITY gnome-icon-theme-extras-version "3.12.0">
+<!ENTITY gnome-icon-theme-symbolic-version "3.12.0">
+<!ENTITY gnome-themes-extra-version   "3.28">
+
 <!-- Part VII -->
-<!-- Chapters 28-33 -->                           <!-- stable lt .90 micro version -->
+<!-- Chapters 29-33 -->                           <!-- stable lt .90 micro version -->
 <!ENTITY kde-download-http            "http://download.kde.org/stable/">
 <!ENTITY phonon-version               "4.10.2">
@@ -762,5 +766,5 @@
 
 <!-- Part IX -->
-<!-- Chapter 36 -->
+<!-- Chapter 35 -->
 <!ENTITY xfce4-version                "4.12">
 
@@ -772,5 +776,4 @@
 <!ENTITY gtk-xfce-engine-version      "3.2.0">
 <!ENTITY libwnck2-version             "2.30.7">
-<!-- <!ENTITY libxfcegui4-version          "4.10.0"> deprecated -->
 <!ENTITY xfce4-panel-version          "4.12.2">
 <!ENTITY xfce4-xkb-plugin-version     "0.7.1">
@@ -785,5 +788,5 @@
 <!ENTITY xfce4-session-version        "4.12.1">
 
-<!-- Chapter 37 -->
+<!-- Chapter 36 -->
 <!ENTITY midori-version               "0.5.11">
 <!ENTITY parole-version               "1.0.2">
@@ -797,7 +800,6 @@
 
 <!-- Part X -->
-<!-- Chapter 38 -->
+<!-- Chapter 37 -->
 <!ENTITY lxmenu-data-version          "0.1.5">
-<!ENTITY lxde-icon-theme-version      "0.5.1">
 <!ENTITY libfm-extra-version          "1.3.1">
 <!ENTITY menu-cache-version           "1.1.0">
@@ -809,5 +811,5 @@
 <!ENTITY lxde-common-version          "0.99.2">
 
-<!-- Chapter 39 -->
+<!-- Chapter 38 -->
 <!ENTITY gpicview-version             "0.2.5">
 <!ENTITY lxappearance-obconf-version  "0.2.3">
@@ -818,5 +820,5 @@
 
 <!-- Chapter 40 -->
-<!ENTITY lxqt-version                 "0.12.0">
+<!--<!ENTITY lxqt-version                 "0.12.0">
 <!ENTITY lxqt-build-tools-version     "0.4.0">
 <!ENTITY libsysstat-version           "0.4.0">
@@ -837,15 +839,15 @@
 <!ENTITY lxqt-notificationd-version   "&lxqt-version;">
 <!ENTITY lxqt-runner-version          "&lxqt-version;">
-<!ENTITY lxqt-session-version         "&lxqt-version;">
+<!ENTITY lxqt-session-version         "&lxqt-version;"> LXQT is no longer in the book -->
 
 <!-- Chapter 41 -->
-<!ENTITY lximage-qt-version           "0.6.0">
+<!--<!ENTITY lximage-qt-version           "0.6.0">
 <!ENTITY obconf-qt-version            "0.12.0">
 <!ENTITY pavucontrol-qt-version       "0.3.0">
 <!ENTITY qtermwidget-version          "0.8.0">
-<!ENTITY qterminal-version            "0.8.0">
+<!ENTITY qterminal-version            "0.8.0"> LXQT is no longer in the book -->
 
 <!-- Part X -->
-<!-- Chapter 42 -->
+<!-- Chapter 39 -->
 <!ENTITY AbiWord-version              "3.0.2">
 <!ENTITY gnumeric-version             "1.12.44">
@@ -856,6 +858,6 @@
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
 
-<!-- Chapter 43 -->
-<!ENTITY chromium-version             "64.0.3282.186">
+<!-- Chapter 40 -->
+<!--<!ENTITY chromium-version             "64.0.3282.186">-->
 <!ENTITY epiphany-version             "3.30.3">
 <!ENTITY falkon-version               "3.0.1">
@@ -865,5 +867,5 @@
 <!ENTITY seamonkey-version            "2.49.4">
 
-<!-- Chapter 44 -->
+<!-- Chapter 41 -->
 <!ENTITY balsa-version                "2.5.6">
 <!ENTITY ekiga-version                "4.0.1">
@@ -890,5 +892,5 @@
 
 <!-- Part XI -->
-<!-- Chapter 45 -->
+<!-- Chapter 42 -->
 <!ENTITY alsa-download-http           "http://alsa.cybermirror.org">
 <!ENTITY alsa-download-ftp            "ftp://ftp.alsa-project.org/pub">
@@ -957,16 +959,16 @@
 <!ENTITY xvid-version                 "1.3.5">
 
-<!-- Chapter 47 -->
+<!-- Chapter 43 -->
 <!ENTITY mpg123-version               "1.25.10">
 <!ENTITY vorbistools-version          "1.4.0">
 <!ENTITY lame-version                 "3.100">
 <!ENTITY CDParanoia-version           "III-10.2">
-<!ENTITY freetts-version              "1.2.2">
+<!--<!ENTITY freetts-version              "1.2.2">-->
 <!ENTITY audacious-version            "3.10.1">
 <!ENTITY audacious-plugins-version    "3.10.1">
-<!ENTITY amarok-version               "2.8.0">
+<!--<!ENTITY amarok-version               "2.8.0">-->
 <!ENTITY pnmixer-version              "0.7.2">
 
-<!-- Chapter 48 -->
+<!-- Chapter 44 -->
 <!ENTITY ffmpeg-version               "4.1.3">
 <!ENTITY mplayer-version              "1.3.0">
@@ -975,5 +977,5 @@
 <!ENTITY vlc-version                  "3.0.6">
 
-<!-- Chapter 49 -->
+<!-- Chapter 45 -->
 <!ENTITY cdrdao-version               "1.2.4">
 <!ENTITY cdrtools-version             "3.02a09">
@@ -986,5 +988,5 @@
 
 <!-- Part XII -->
-<!-- Chapter 50 -->
+<!-- Chapter 46 -->
 <!ENTITY cups-version                 "2.2.11">
 <!ENTITY cups-filters-version         "1.22.4">
@@ -992,10 +994,10 @@
 <!ENTITY gutenprint-version           "5.2.14">
 
-<!-- Chapter 51 -->
+<!-- Chapter 47 -->
 <!ENTITY sane-version                 "1.0.27">
 <!ENTITY sane-fe-version              "1.0.14">
 <!ENTITY xsane-version                "0.999">
 
-<!-- Chapter 52 -->
+<!-- Chapter 48 -->
 <!ENTITY sgml-common-version          "0.6.3">
 <!ENTITY sgml-dtd-3-version           "3.1">
@@ -1006,5 +1008,5 @@
 <!ENTITY docbook-utils-version        "0.6.14">
 
-<!-- Chapter 53 -->
+<!-- Chapter 49 -->
 <!ENTITY DocBook-version              "4.5">
 <!ENTITY docbook-xsl-version          "1.79.2">
@@ -1012,5 +1014,5 @@
 <!ENTITY xmlto-version                "0.0.28">
 
-<!-- Chapter 54 -->
+<!-- Chapter 50 -->
 <!ENTITY a2ps-version                 "4.14">
 <!ENTITY enscript-version             "1.6.6">
@@ -1021,5 +1023,5 @@
 <!ENTITY paps-version                 "0.6.8">
 
-<!-- Chapter 55 -->
+<!-- Chapter 51 -->
 <!ENTITY texlive-version              "20180414">
 <!ENTITY texmf-version                "20180414">
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision 41322106032205162c703afbdaa8d2a362938123)
+++ postlfs/security/gnutls.xml	(revision 564e2fe7d855f7b030a50c753ec33fb00ed75f82)
@@ -194,4 +194,9 @@
 
     <para>
+      <parameter>--disable-guile</parameter>: This switch disables GUILE support,
+      since GnuTLS does not support Guile-2.2.x yet.
+    </para>
+
+    <para>
       <option>--with-default-trust-store-file=/etc/pki/tls/certs/ca-bundle.crt</option>:
       This switch tells <command>configure</command> where to find the