Index: general/genlib/xapian.xml
===================================================================
--- general/genlib/xapian.xml	(revision a64dccd95e28b86302b31cddf43df981e32bcafa)
+++ general/genlib/xapian.xml	(revision 567dc7d81124609327b6e7ec14c4868fb955eba0)
@@ -8,8 +8,8 @@
            "http://oligarchy.co.uk/xapian/&xapian-version;/xapian-core-&xapian-version;.tar.xz">
   <!ENTITY xapian-download-ftp  " ">
-  <!ENTITY xapian-md5sum        "513b10125090265b5aeb7fb57fd3a708">
-  <!ENTITY xapian-size          "3.1 MB">
-  <!ENTITY xapian-buildsize     "189 MB (additional 128 MB for tests)">
-  <!ENTITY xapian-time          "1.2 SBU (additional 20 SBU for tests)">
+  <!ENTITY xapian-md5sum        "5308261e78337604bd8f845dd6b4aafc">
+  <!ENTITY xapian-size          "2.5 MB">
+  <!ENTITY xapian-buildsize     "153 MB (additional 136 MB for tests)">
+  <!ENTITY xapian-time          "1.9 SBU (additional 16 SBU for tests)">
 ]>
 
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/sysstat.xml
===================================================================
--- general/sysutils/sysstat.xml	(revision a64dccd95e28b86302b31cddf43df981e32bcafa)
+++ general/sysutils/sysstat.xml	(revision 567dc7d81124609327b6e7ec14c4868fb955eba0)
@@ -7,7 +7,7 @@
   <!ENTITY sysstat-download-http "http://perso.wanadoo.fr/sebastien.godard/sysstat-&sysstat-version;.tar.xz">
   <!ENTITY sysstat-download-ftp  " ">
-  <!ENTITY sysstat-md5sum        "b92ea90a60eda2b16e2667e6237402b1">
-  <!ENTITY sysstat-size          "332 KB">
-  <!ENTITY sysstat-buildsize     "8.5 MB">
+  <!ENTITY sysstat-md5sum        "be990a83663e419e7d46eaf6e43103e9">
+  <!ENTITY sysstat-size          "336 KB">
+  <!ENTITY sysstat-buildsize     "7.0 MB">
   <!ENTITY sysstat-time          "0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a64dccd95e28b86302b31cddf43df981e32bcafa)
+++ introduction/welcome/changelog.xml	(revision 567dc7d81124609327b6e7ec14c4868fb955eba0)
@@ -47,4 +47,28 @@
       <para>June 27th, 2016</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to ffmpeg-3.1. Fixes
+          <ulink url="&blfs-ticket-root;8009">#8009</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to pulseaudio-9.0. Fixes
+          <ulink url="&blfs-ticket-root;7845">#7845</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xapian-core-1.4.0. Fixes
+          <ulink url="&blfs-ticket-root;8004">#8004</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to stunnel-5.33. Fixes
+          <ulink url="&blfs-ticket-root;7994">#7994</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sysstat-11.3.5. Fixes
+          <ulink url="&blfs-ticket-root;8005">#8005</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libinput-1.3.3. Fixes
+          <ulink url="&blfs-ticket-root;7996">#7996</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[igor] - Update to mpg123-1.23.5. Fixes
Index: multimedia/libdriv/pulseaudio.xml
===================================================================
--- multimedia/libdriv/pulseaudio.xml	(revision a64dccd95e28b86302b31cddf43df981e32bcafa)
+++ multimedia/libdriv/pulseaudio.xml	(revision 567dc7d81124609327b6e7ec14c4868fb955eba0)
@@ -8,8 +8,8 @@
            "http://freedesktop.org/software/pulseaudio/releases/pulseaudio-&pulseaudio-version;.tar.xz">
   <!ENTITY pulseaudio-download-ftp  " ">
-  <!ENTITY pulseaudio-md5sum        "8678442ba0bb4b4c33ac6f62542962df">
+  <!ENTITY pulseaudio-md5sum        "da7162541b3a9bc20576dbd0d7d1489a">
   <!ENTITY pulseaudio-size          "1.5 MB">
-  <!ENTITY pulseaudio-buildsize     "110 MB (with tests)">
-  <!ENTITY pulseaudio-time          "2.2 SBU (with tests)">
+  <!ENTITY pulseaudio-buildsize     "92 MB (add 2 MB for tests)">
+  <!ENTITY pulseaudio-time          "1.8 SBU (add 0.7 SBU for tests)">
 ]>
 
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision a64dccd95e28b86302b31cddf43df981e32bcafa)
+++ multimedia/videoutils/ffmpeg.xml	(revision 567dc7d81124609327b6e7ec14c4868fb955eba0)
@@ -7,9 +7,9 @@
   <!ENTITY ffmpeg-download-http "http://ffmpeg.org/releases/ffmpeg-&ffmpeg-version;.tar.xz">
   <!ENTITY ffmpeg-download-ftp  " ">
-  <!ENTITY ffmpeg-md5sum        "beb5c69c671aba1386e7156fc2af1ab6">
-  <!ENTITY ffmpeg-size          "7.1 MB">
-  <!ENTITY ffmpeg-buildsize     "172 MB (add 1.6 GB for the FATE suite/tests
+  <!ENTITY ffmpeg-md5sum        "24ef0c0d541c857c8bc39215619b126f">
+  <!ENTITY ffmpeg-size          "7.4 MB">
+  <!ENTITY ffmpeg-buildsize     "181 MB (add 2.7 GB for the FATE suite/tests
     and 1.0 GB for the documentation)">
-  <!ENTITY ffmpeg-time          "5.3 SBU (add 0.6 SBU for docs and 4.5 SBU
+  <!ENTITY ffmpeg-time          "5.6 SBU (add 0.6 SBU for docs and 4.8 SBU
     to run the FATE suite after sample files are downloaded)">
 ]>
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: packages.ent
===================================================================
--- packages.ent	(revision a64dccd95e28b86302b31cddf43df981e32bcafa)
+++ packages.ent	(revision 567dc7d81124609327b6e7ec14c4868fb955eba0)
@@ -39,5 +39,5 @@
 <!ENTITY shadow-version               "4.2.1">
 <!ENTITY ssh-askpass-version          "&openssh-version;">
-<!ENTITY stunnel-version              "5.32">
+<!ENTITY stunnel-version              "5.33">
 <!ENTITY sudo-version                 "1.8.17p1">
 <!ENTITY tripwire-version             "2.4.2.2">
@@ -165,5 +165,5 @@
 <!ENTITY wayland-protocols-version    "1.4">
 <!ENTITY wv-version                   "1.2.9">
-<!ENTITY xapian-version               "1.2.23">
+<!ENTITY xapian-version               "1.4.0">
 <!ENTITY yaml-version                 "0.1.6">
 
@@ -255,5 +255,5 @@
 <!ENTITY sg3_utils-version            "1.42">
 <!ENTITY strigi-version               "0.7.8">
-<!ENTITY sysstat-version              "11.3.4">
+<!ENTITY sysstat-version              "11.3.5">
 <!ENTITY systemd-version              "230">
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
@@ -752,5 +752,5 @@
 <!ENTITY opal-version                 "3.10.10">
 <!ENTITY opus-version                 "1.1.2">
-<!ENTITY pulseaudio-major-version     "8.0">
+<!ENTITY pulseaudio-major-version     "9.0">
 <!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
 <!ENTITY sdl-version                  "1.2.15">
@@ -784,5 +784,5 @@
 
 <!-- Chapter 48 -->
-<!ENTITY ffmpeg-version               "3.0.2">
+<!ENTITY ffmpeg-version               "3.1">
 <!ENTITY mplayer-version              "SVN-r37794">
 <!ENTITY xine-ui-version              "0.99.9">
Index: postlfs/security/stunnel.xml
===================================================================
--- postlfs/security/stunnel.xml	(revision a64dccd95e28b86302b31cddf43df981e32bcafa)
+++ postlfs/security/stunnel.xml	(revision 567dc7d81124609327b6e7ec14c4868fb955eba0)
@@ -10,7 +10,7 @@
   <!-- Following ftp only has later release -->
 <!--   "ftp://ftp.stunnel.org/stunnel/stunnel-&stunnel-version;.tar.gz"> -->
-  <!ENTITY stunnel-md5sum        "60462f97b62e745288541089e8c0877c">
-  <!ENTITY stunnel-size          "628 KB">
-  <!ENTITY stunnel-buildsize     "7.3 MB">
+  <!ENTITY stunnel-md5sum        "39f9da50d5d02c88f58ba3e372f1db29">
+  <!ENTITY stunnel-size          "632 KB">
+  <!ENTITY stunnel-buildsize     "7.4 MB">
   <!ENTITY stunnel-time          "0.1 SBU">
 ]>
@@ -43,5 +43,5 @@
     package source code.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libinput.xml
===================================================================
--- x/installing/libinput.xml	(revision a64dccd95e28b86302b31cddf43df981e32bcafa)
+++ x/installing/libinput.xml	(revision 567dc7d81124609327b6e7ec14c4868fb955eba0)
@@ -5,11 +5,11 @@
   %general-entities;
 
-  <!ENTITY libinput-version "1.3.2">
+  <!ENTITY libinput-version "1.3.3">
 
   <!ENTITY libinput-download-http "http://www.freedesktop.org/software/libinput/libinput-&libinput-version;.tar.xz">
   <!ENTITY libinput-download-ftp  " ">
-  <!ENTITY libinput-md5sum        "d5c9d16825666078930d2df6103acde8">
+  <!ENTITY libinput-md5sum        "51bfd53ab545cd72eb9a3e81d8e6b300">
   <!ENTITY libinput-size          "864 KB">
-  <!ENTITY libinput-buildsize     "32 MB (add 13 MB for tests)">
+  <!ENTITY libinput-buildsize     "32 MB (add 10 MB for tests)">
   <!ENTITY libinput-time          "0.3 SBU (add 13 minutes for tests, only partially CPU dependent)">
 ]>