Index: general/genlib/libbytesize.xml
===================================================================
--- general/genlib/libbytesize.xml	(revision 7baaf2a960b89a839053eb12d6f7515aab11e258)
+++ general/genlib/libbytesize.xml	(revision 568e4251b60a2f40d7f047b20cedca7400753e53)
@@ -7,7 +7,7 @@
   <!ENTITY libbytesize-download-http "https://github.com/storaged-project/libbytesize/releases/download/&libbytesize-version;/libbytesize-&libbytesize-version;.tar.gz">
   <!ENTITY libbytesize-download-ftp  " ">
-  <!ENTITY libbytesize-md5sum        "aa9bd5a04546873714da2adbaaa9f283">
-  <!ENTITY libbytesize-size          "404 KB">
-  <!ENTITY libbytesize-buildsize     "4.6 MB">
+  <!ENTITY libbytesize-md5sum        "d47369556cd92aad4d8bc8ba10aebbed">
+  <!ENTITY libbytesize-size          "432 KB">
+  <!ENTITY libbytesize-buildsize     "4.2 MB">
   <!ENTITY libbytesize-time          "less than 0.1 SBU">
 ]>
@@ -75,5 +75,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="pcre"/>
+      <xref linkend="pcre2"/>
     </para>
 
@@ -81,5 +81,4 @@
     <para role="optional">
       <xref linkend="gtk-doc"/>,
-      <xref linkend="python2"/>, 
       <xref linkend="six"/> (needed for tests and python bindings),
       <ulink url="https://github.com/rhinstaller/pocketlint/releases">pocketlint</ulink> (python module for one test), and 
@@ -106,11 +105,5 @@
     <para>
       If you have the optional python modules installed, the regression 
-      tests can be run with: <command>make check</command>. If only
-      <application>Python 3</application> is installed, one test has to be
-      fixed with <command>
-      sed -i 's/python/&amp;3/' tests/lbs_py_override_unittest.py</command>.
-      <phrase revision='sysv'>Another test needs to be fixed if systemd
-      is not installed, with:<command>
-      sed -i '/busctl/s/=.*$/=lfs/' tests/canary_tests.sh</command>.</phrase>
+      tests can be run with: <command>make check</command>. 
     </para>
 
@@ -122,10 +115,10 @@
 
   </sect2>
-
+<!-- 
   <sect2 role="commands">
     <title>Command Explanations</title>
 
     <para>
-      <option>--without-python2</option>: If
+      <option>-i -without-python2</option>: If
       <application>Python 2</application> is installed, use this switch to
       prevent the use of <application>Python 2</application>. This may be
@@ -134,5 +127,5 @@
     </para>
   </sect2>
-
+-->
   <sect2 role="content">
     <title>Contents</title>
Index: general/prog/cbindgen.xml
===================================================================
--- general/prog/cbindgen.xml	(revision 7baaf2a960b89a839053eb12d6f7515aab11e258)
+++ general/prog/cbindgen.xml	(revision 568e4251b60a2f40d7f047b20cedca7400753e53)
@@ -7,8 +7,8 @@
   <!ENTITY cbindgen-download-http "https://github.com/eqrion/cbindgen/archive/v&cbindgen-version;/cbindgen-&cbindgen-version;.tar.gz">
   <!ENTITY cbindgen-download-ftp  " ">
-  <!ENTITY cbindgen-md5sum        "5979b20f17714297f62cfb322d0f60cf">
-  <!ENTITY cbindgen-size          "108 KB">
-  <!ENTITY cbindgen-buildsize     "86 MB (add 337 MB for tests) ">
-  <!ENTITY cbindgen-time          "0.9 SBU (Using paralleism=4; add 0.3 SBU tests)">
+  <!ENTITY cbindgen-md5sum        "6d2ac26276c684dbb4afa7d3078c8eb6">
+  <!ENTITY cbindgen-size          "112 KB">
+  <!ENTITY cbindgen-buildsize     "89 MB (add 475 MB for tests) ">
+  <!ENTITY cbindgen-time          "0.9 SBU (Using paralleism=4; add 0.4 SBU tests)">
 ]>
 
@@ -117,4 +117,5 @@
     <para>
       To test the results, issue: <command>cargo test</command>.
+      Four tests, test_expand*, are known to fail.
     </para>
 
Index: general/prog/perl-modules/perl-text-bibtex.xml
===================================================================
--- general/prog/perl-modules/perl-text-bibtex.xml	(revision 7baaf2a960b89a839053eb12d6f7515aab11e258)
+++ general/prog/perl-modules/perl-text-bibtex.xml	(revision 568e4251b60a2f40d7f047b20cedca7400753e53)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/A/AM/AMBS/Text-BibTeX-&Text-BibTeX-version;.tar.gz">
-  <!ENTITY my-md5sum "9564b9943f97ffaff8537366f79d2999">
+  <!ENTITY my-md5sum "361aad5cf400764e35d1ade3b609bb60">
 
 ]>
Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision 7baaf2a960b89a839053eb12d6f7515aab11e258)
+++ general/sysutils/unrar.xml	(revision 568e4251b60a2f40d7f047b20cedca7400753e53)
@@ -7,7 +7,7 @@
   <!ENTITY unrar-download-http "http://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "7b6a2bebe2a0c096f353008c40644be7">
+  <!ENTITY unrar-md5sum        "d9cfc39dab7f65a53f097e3846323aef">
   <!ENTITY unrar-size          "224 KB">
-  <!ENTITY unrar-buildsize     "2.1 MB">
+  <!ENTITY unrar-buildsize     "2.4 MB">
   <!ENTITY unrar-time          "0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7baaf2a960b89a839053eb12d6f7515aab11e258)
+++ introduction/welcome/changelog.xml	(revision 568e4251b60a2f40d7f047b20cedca7400753e53)
@@ -46,4 +46,20 @@
       <para>April 30th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to cbindgen-0.8.4. Fixes
+          <ulink url="&blfs-ticket-root;12003">#12003</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Text-BibTeX-0.88 (Perl Module). Fixes
+          <ulink url="&blfs-ticket-root;12002">#12002</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to unrar-5.7.5. Fixes
+          <ulink url="&blfs-ticket-root;12001">#12001</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libbytesize-2.0. Fixes
+          <ulink url="&blfs-ticket-root;12000">#12000</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to baobab-3.32.0. Part of
Index: packages.ent
===================================================================
--- packages.ent	(revision 7baaf2a960b89a839053eb12d6f7515aab11e258)
+++ packages.ent	(revision 568e4251b60a2f40d7f047b20cedca7400753e53)
@@ -127,5 +127,5 @@
 <!ENTITY libatomic_ops-version        "7.6.10">
 <!ENTITY libblockdev-version          "2.21">
-<!ENTITY libbytesize-version          "1.4">
+<!ENTITY libbytesize-version          "2.0">
 <!ENTITY libcroco-version             "0.6.13">
 <!ENTITY libdaemon-version            "0.14">
@@ -296,5 +296,5 @@
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.8.2">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "5.7.4">
+<!ENTITY unrar-version                "5.7.5">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "0.99.10">
@@ -307,5 +307,5 @@
 <!ENTITY autoconf213-version          "2.13">
 <!ENTITY bazaar-version               "2.5.1">
-<!ENTITY cbindgen-version             "0.8.3">
+<!ENTITY cbindgen-version             "0.8.4">
 <!ENTITY check-version                "0.12.0">
 <!ENTITY clisp-version                "2.49">
@@ -401,5 +401,5 @@
 <!ENTITY Test-Command-version         "0.11">
 <!ENTITY Test-Differences-version     "0.67">
-<!ENTITY Text-BibTeX-version          "0.87">
+<!ENTITY Text-BibTeX-version          "0.88">
 <!ENTITY Text-CSV-version             "1.99">
 <!ENTITY Text-Roman-version           "3.5">