Index: general/genlib/libical.xml
===================================================================
--- general/genlib/libical.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ general/genlib/libical.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,5 +7,5 @@
   <!ENTITY libical-download-http "https://github.com/libical/libical/releases/download/v&libical-version;/libical-&libical-version;.tar.gz">
   <!ENTITY libical-download-ftp  " ">
-  <!ENTITY libical-md5sum        "f2e9c08b04a72dd5cc14b1917b74b5b0">
+  <!ENTITY libical-md5sum        "3799f9dde1db6f7eb0cb112b5e14ab60">
   <!ENTITY libical-size          "900 KB">
   <!ENTITY libical-buildsize     "24 MB (with tests and API documentation)">
Index: general/genlib/libqalculate.xml
===================================================================
--- general/genlib/libqalculate.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ general/genlib/libqalculate.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,8 +7,8 @@
   <!ENTITY libqalculate-download-http "https://github.com/Qalculate/libqalculate/releases/download/v&libqalculate-version;/libqalculate-&libqalculate-version;.tar.gz">
   <!ENTITY libqalculate-download-ftp  " ">
-  <!ENTITY libqalculate-md5sum        "f287dc5b09173b1cab65142f9e5e7f88">
-  <!ENTITY libqalculate-size          "2.1 MB">
-  <!ENTITY libqalculate-buildsize     "179 MB (with tests)">
-  <!ENTITY libqalculate-time          "1.6 SBU (Using parallelism=4; with tests)">
+  <!ENTITY libqalculate-md5sum        "d30ad11c8920c2ec929745d42bd2854e">
+  <!ENTITY libqalculate-size          "2.5 MB">
+  <!ENTITY libqalculate-buildsize     "134 MB (with tests)">
+  <!ENTITY libqalculate-time          "0.9 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: general/genlib/libunistring.xml
===================================================================
--- general/genlib/libunistring.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ general/genlib/libunistring.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,8 +7,8 @@
   <!ENTITY libunistring-download-http "&gnu-http;/libunistring/libunistring-&libunistring-version;.tar.xz">
   <!ENTITY libunistring-download-ftp  "&gnu-ftp;/libunistring/libunistring-&libunistring-version;.tar.xz">
-  <!ENTITY libunistring-md5sum        "88752c7859212f9c7a0f6cbf7a273535">
-  <!ENTITY libunistring-size          "2.7 MB">
-  <!ENTITY libunistring-buildsize     "50 MB (add 53 MB for tests)">
-  <!ENTITY libunistring-time          "0.7 SBU (add 1.1 SBU for tests)">
+  <!ENTITY libunistring-md5sum        "0dfba19989ae06b8e7a49a7cd18472a1">
+  <!ENTITY libunistring-size          "2.3 MB">
+  <!ENTITY libunistring-buildsize     "51 MB (add 56 MB for tests)">
+  <!ENTITY libunistring-time          "0.4 SBU (iUsing parallelism=4; add 1.0 SBU for tests)">
 ]>
 
Index: general/genlib/nodejs.xml
===================================================================
--- general/genlib/nodejs.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ general/genlib/nodejs.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,8 +7,8 @@
   <!ENTITY nodejs-download-http "https://nodejs.org/dist/v&nodejs-version;/node-v&nodejs-version;.tar.xz">
   <!ENTITY nodejs-download-ftp  " ">
-  <!ENTITY nodejs-md5sum        "9247dcb564e8cf468bbe174d9aaa2e43">
+  <!ENTITY nodejs-md5sum        "d47153d56d60f00ffcb33d63eacc2663">
   <!ENTITY nodejs-size          "34 MB">
-  <!ENTITY nodejs-buildsize     "768 MB (add 128 MB for tests)">
-  <!ENTITY nodejs-time          "12 SBU (add 2.6 SBU for tests: both using parallelism=4 and 4 CPUs online, parts of the tests will use all online CPUs)">
+  <!ENTITY nodejs-buildsize     "772 MB (add 29 MB for tests)">
+  <!ENTITY nodejs-time          "13 SBU (add 4.4 SBU for tests: both using parallelism=4 and 4 CPUs online, parts of the tests will use all online CPUs)">
 ]>
 
@@ -147,5 +147,5 @@
     <para>
       To test the results, issue: <command>make test-only</command>.
-      Two tests out of over 3600 are known to fail.
+      One test, test-socket-write-after-fin-error, out of over 3600 tests is known to fail.
     </para>
 
Index: general/genutils/asciidoctor.xml
===================================================================
--- general/genutils/asciidoctor.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ general/genutils/asciidoctor.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,7 +7,7 @@
   <!ENTITY asciidoctor-download-http "https://github.com/asciidoctor/asciidoctor/archive/v&asciidoctor-version;/asciidoctor-&asciidoctor-version;.tar.gz">
   <!ENTITY asciidoctor-download-ftp  " ">
-  <!ENTITY asciidoctor-md5sum        "76301a92afadc913404b94bb44622126">
+  <!ENTITY asciidoctor-md5sum        "30a020f2db5f29a90bd2249bf3ad1f08">
   <!ENTITY asciidoctor-size          "1.6 MB">
-  <!ENTITY asciidoctor-buildsize     "5.3 MB">
+  <!ENTITY asciidoctor-buildsize     "5.4 MB">
   <!ENTITY asciidoctor-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ introduction/welcome/changelog.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -42,4 +42,43 @@
     </listitem>
     -->
+
+    <listitem>
+      <para>October 21st, 2022</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to libqalculate-4.4.0. Fixes
+          <ulink url="&blfs-ticket-root;17195">#17195</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libical-3.0.16. Fixes
+          <ulink url="&blfs-ticket-root;17194">#17194</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libunistring-1.1. Fixes
+          <ulink url="&blfs-ticket-root;17191">#17191</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to asciidoctor-2.0.18. Fixes
+          <ulink url="&blfs-ticket-root;17187">#17187</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to unbound-1.17.0. Fixes
+          <ulink url="&blfs-ticket-root;17184">#17184</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to nss-3.84. Fixes
+          <ulink url="&blfs-ticket-root;17181">#17181</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnupg-2.3.8. Fixes
+          <ulink url="&blfs-ticket-root;17180">#17180</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libsoup-2.74.3. Fixes
+          <ulink url="&blfs-ticket-root;17178">#17178</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>October 21th, 2022</para>
@@ -55,4 +94,18 @@
       <para>October 20th, 2022</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to libreoffice-7.4.2.3. Fixes
+          <ulink url="&blfs-ticket-root;17179">#17179</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to node.js-16.18.0. Fixes
+          <ulink url="&blfs-ticket-root;17176">#17176</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gstreamer-1.20.4 gst-plugins-base 
+          gst-plugins-good gst-plugins-bad gst-plugins-ugly gst-libav 
+          gstreamer-vaapi. Fixes
+          <ulink url="&blfs-ticket-root;17175">#17175</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Update to libxkbfile-1.1.1 (Xorg library). Fixes
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ multimedia/libdriv/gst10-libav.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,8 +7,8 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "bfd5673853d825d61512eac1bfa4c8c5">
-  <!ENTITY gst10-libav-size          "278 KB">
-  <!ENTITY gst10-libav-buildsize     "9.5 MB (add 4.4 MB for tests)">
-  <!ENTITY gst10-libav-time          "less than 0.1 SBU (Using parallelism=4)">
+  <!ENTITY gst10-libav-md5sum        "a5d4816849a6fe3b84c1aa520da9e8b8">
+  <!ENTITY gst10-libav-size          "284 KB">
+  <!ENTITY gst10-libav-buildsize     "14 MB (with tests)">
+  <!ENTITY gst10-libav-time          "less than 0.1 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "286c18129b064881e557ef2d8ac7a363">
+  <!ENTITY gst10-plugins-bad-md5sum        "74f9c7997773923015cb0df73d0a300f">
   <!ENTITY gst10-plugins-bad-size          "5.9 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "196 MB (with tests)">
+  <!ENTITY gst10-plugins-bad-buildsize     "151 MB (with tests)">
   <!ENTITY gst10-plugins-bad-time          "1.0 SBU (Using parallelism=4; with tests)">
 ]>
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "b4aa48de733aa08bca69430a58764919">
-  <!ENTITY gst10-plugins-base-size          "3.1 MB">
-  <!ENTITY gst10-plugins-base-buildsize     "107 MB (with tests)">
-  <!ENTITY gst10-plugins-base-time          "0.9 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gst10-plugins-base-md5sum        "56c1626570269817e42a40f1924ba504">
+  <!ENTITY gst10-plugins-base-size          "3.2 MB">
+  <!ENTITY gst10-plugins-base-buildsize     "91 MB (with tests)">
+  <!ENTITY gst10-plugins-base-time          "0.8 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "aa7c354993cbef972c0b4dc82bcfdda1">
+  <!ENTITY gst10-plugins-good-md5sum        "e095ee5b817f072cd5f088989f0e12f4">
   <!ENTITY gst10-plugins-good-size          "3.3 MB">
-  <!ENTITY gst10-plugins-good-buildsize     "111 MB (with tests)">
+  <!ENTITY gst10-plugins-good-buildsize     "102 MB (with tests)">
   <!ENTITY gst10-plugins-good-time          "0.6 SBU (Using parallelism=4; with tests)">
 ]>
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "7d5b22fdb6d351cc57368123a57dc58c">
-  <!ENTITY gst10-plugins-ugly-size          "496 KB">
-  <!ENTITY gst10-plugins-ugly-buildsize     "12 MB (with tests)">
+  <!ENTITY gst10-plugins-ugly-md5sum        "0a83993817c3f1445a7b0e7e1509b2c8">
+  <!ENTITY gst10-plugins-ugly-size          "500 KB">
+  <!ENTITY gst10-plugins-ugly-buildsize     "11 MB (with tests)">
   <!ENTITY gst10-plugins-ugly-time          "less than 0.1 SBU (with tests)">
 ]>
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,7 +7,7 @@
   <!ENTITY gstreamer10-vaapi-download-http "&gstreamer-dl;/gstreamer-vaapi/gstreamer-vaapi-&gstreamer-vaapi-version;.tar.xz">
   <!ENTITY gstreamer10-vaapi-download-ftp  " ">
-  <!ENTITY gstreamer10-vaapi-md5sum        "ac7b4d92c4fed74bed4886c88fe2679e">
-  <!ENTITY gstreamer10-vaapi-size          "776 KB">
-  <!ENTITY gstreamer10-vaapi-buildsize     "16 MB">
+  <!ENTITY gstreamer10-vaapi-md5sum        "be3acaefce2e829cc51ec420e1f97281">
+  <!ENTITY gstreamer10-vaapi-size          "780 KB">
+  <!ENTITY gstreamer10-vaapi-buildsize     "15 MB">
   <!ENTITY gstreamer10-vaapi-time          "0.2 SBU">
 ]>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ multimedia/libdriv/gstreamer10.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "9c1aebfd5c182e60ca0eb8890b410a54">
+  <!ENTITY gstreamer10-md5sum        "7c53246ab7a51401876866ca54e07b34">
   <!ENTITY gstreamer10-size          "2.6 MB">
-  <!ENTITY gstreamer10-buildsize     "62 MB (with tests)">
-  <!ENTITY gstreamer10-time          "0.4 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gstreamer10-buildsize     "51 MB (with tests)">
+  <!ENTITY gstreamer10-time          "0.3 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ networking/netlibs/libsoup.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -9,8 +9,8 @@
   <!ENTITY libsoup-download-ftp
            "&gnome-download-ftp;/libsoup/&libsoup-minor;/libsoup-&libsoup-version;.tar.xz">
-  <!ENTITY libsoup-md5sum        "d8c5bc7f471c7462c29cc2ccebe3d9ca">
+  <!ENTITY libsoup-md5sum        "8f657fd301a213629204b3320c35d75a">
   <!ENTITY libsoup-size          "1.4 MB">
-  <!ENTITY libsoup-buildsize     "16 MB (with tests)">
-  <!ENTITY libsoup-time          "0.2 SBU (Using parallelism=4; with tests)">
+  <!ENTITY libsoup-buildsize     "17 MB (with tests)">
+  <!ENTITY libsoup-time          "0.3 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ packages.ent	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -6,5 +6,5 @@
 <!ENTITY cryptsetup-version           "&cryptsetup-minor;.3">
 <!ENTITY cyrus-sasl-version           "2.1.28">
-<!ENTITY gnupg2-version               "2.3.7">
+<!ENTITY gnupg2-version               "2.3.8">
 <!ENTITY gnutls-version               "3.7.8">
 <!ENTITY gpgme-version                "1.18.0">
@@ -21,6 +21,6 @@
 <!ENTITY nettle-version               "3.8.1">
 
-<!ENTITY nss-dir                      "3_83">
-<!ENTITY nss-version                  "3.83">
+<!ENTITY nss-dir                      "3_84">
+<!ENTITY nss-version                  "3.84">
 <!--
 <!ENTITY nss-micro-version            "1">
@@ -133,5 +133,5 @@
 <!ENTITY libgudev-version             "237">
 <!ENTITY libgusb-version              "0.4.1">
-<!ENTITY libical-version              "3.0.15">
+<!ENTITY libical-version              "3.0.16">
 <!ENTITY libidn-version               "1.41">
 <!ENTITY libidn2-version              "2.3.3">
@@ -143,5 +143,5 @@
 <!ENTITY libportal-version            "0.6">
 <!ENTITY libptytty-version            "2.0">
-<!ENTITY libqalculate-version         "4.3.0">
+<!ENTITY libqalculate-version         "4.4.0">
 <!ENTITY libqmi-version               "1.30.8">
 <!ENTITY libseccomp-version           "2.5.4">
@@ -152,5 +152,5 @@
 <!ENTITY libtasn1-version             "4.19.0">
 <!ENTITY libunique-version            "1.1.6">
-<!ENTITY libunistring-version         "1.0">
+<!ENTITY libunistring-version         "1.1">
 <!ENTITY libunwind-version            "1.6.2">
 <!ENTITY liburcu-version              "0.13.2">
@@ -167,5 +167,5 @@
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.6">
-<!ENTITY nodejs-version               "16.17.1">
+<!ENTITY nodejs-version               "16.18.0">
 <!ENTITY npth-version                 "1.6">
 <!ENTITY nspr-version                 "4.35">
@@ -229,5 +229,5 @@
 
 <!-- Chapter 11 -->
-<!ENTITY asciidoctor-version          "2.0.17">
+<!ENTITY asciidoctor-version          "2.0.18">
 <!ENTITY bogofilter-version           "1.2.5">
 <!ENTITY compface-version             "1.5.2">
@@ -581,5 +581,5 @@
 <!ENTITY libndp-version               "1.8">
 <!ENTITY libsoup-minor                "2.74">
-<!ENTITY libsoup-version              "&libsoup-minor;.2">
+<!ENTITY libsoup-version              "&libsoup-minor;.3">
 <!ENTITY libsoup3-minor               "3.0">
 <!ENTITY libsoup3-version             "&libsoup3-minor;.8">
@@ -631,5 +631,5 @@
 <!-- Chapter 23 -->
 <!ENTITY openldap-version             "2.6.3">
-<!ENTITY unbound-version              "1.16.3">
+<!ENTITY unbound-version              "1.17.0">
 
 <!-- Part VI -->
@@ -833,6 +833,6 @@
 <!ENTITY gnumeric-version             "1.12.53">
 
-<!ENTITY libreoffice-version          "7.4.1">
-<!ENTITY libreoffice-patch            ".2">
+<!ENTITY libreoffice-version          "7.4.2">
+<!ENTITY libreoffice-patch            ".3">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
 
@@ -883,11 +883,11 @@
 <!ENTITY frei0r-version               "1.8.0">
 <!ENTITY gavl-version                 "1.4.0">
-<!ENTITY gstreamer10-version          "1.20.3">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.20.3">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.20.3">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.20.3">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.20.3">  <!-- Even minors only -->
-<!ENTITY gst10-libav-version          "1.20.3">  <!-- Even minors only -->
-<!ENTITY gstreamer-vaapi-version      "1.20.3">  <!-- Even minors only -->
+<!ENTITY gstreamer10-version          "1.20.4">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-base-version   "1.20.4">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-good-version   "1.20.4">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-bad-version    "1.20.4">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-ugly-version   "1.20.4">  <!-- Even minors only -->
+<!ENTITY gst10-libav-version          "1.20.4">  <!-- Even minors only -->
+<!ENTITY gstreamer-vaapi-version      "1.20.4">  <!-- Even minors only -->
 <!ENTITY id3lib-version               "3.8.3">
 <!ENTITY liba52-version               "0.7.4">
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ postlfs/security/gnupg2.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,8 +7,8 @@
   <!ENTITY gnupg2-download-http "&gnupg-http;/gnupg/gnupg-&gnupg2-version;.tar.bz2">
   <!ENTITY gnupg2-download-ftp  "&gnupg-ftp;/gnupg/gnupg-&gnupg2-version;.tar.bz2">
-  <!ENTITY gnupg2-md5sum        "1c6a6722b9cececcf10ca4e24106e34b">
+  <!ENTITY gnupg2-md5sum        "f9e9dfaf150d31abc77d09e509c6231b">
   <!ENTITY gnupg2-size          "7.3 MB">
-  <!ENTITY gnupg2-buildsize     "161 MB (with all tests; add 25 MB for docs)">
-  <!ENTITY gnupg2-time          "0.7 SBU (using parallelism=4; add 1.5 SBU for tests)">
+  <!ENTITY gnupg2-buildsize     "128 MB (with tests)">
+  <!ENTITY gnupg2-time          "0.4 SBU (using parallelism=4; add 0.3 SBU for tests)">
 ]>
 
@@ -127,14 +127,13 @@
     -i tools/Makefile.in</userinput></screen>
 -->
-<!-- Seems to be resolved in 2.2.29
-    <para>
-      Fix a issue causing build failure if
+
+    <para>
+      First, fix an issue causing build failure if
       <application>OpenLDAP</application> is not installed:
     </para>
 
-<screen><userinput>sed -e '737a #if USE_LDAP' \
-    -e '760a #endif' \
-    -i dirmngr/dirmngr.c</userinput></screen>
--->
+<screen><userinput>sed -e '/ks_ldap_free_state/i #if USE_LDAP' \
+    -e '/ks_get_state =/a #endif'           \
+    -i dirmngr/server.c</userinput></screen>
 
     <para>
Index: postlfs/security/nss.xml
===================================================================
--- postlfs/security/nss.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ postlfs/security/nss.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -12,11 +12,10 @@
 
 <!-- no micro versions -->
-<!ENTITY nss-download-http "https://&nss-url;/NSS_&nss-dir;_RTM/src/nss-&nss-version;.tar.gz">
-
+  <!ENTITY nss-download-http "https://&nss-url;/NSS_&nss-dir;_RTM/src/nss-&nss-version;.tar.gz">
   <!ENTITY nss-download-ftp  " ">
-  <!ENTITY nss-md5sum        "4a5a8c42772e202e4e94c261f6a5324c">
+  <!ENTITY nss-md5sum        "5f784b9cad172d6df9c24e0673bd5ecd">
   <!ENTITY nss-size          "81 MB">
-  <!ENTITY nss-buildsize     "332 MB (add 288 MB for tests)">
-  <!ENTITY nss-time          "4.4 SBU (with parallelism=4, add 60 SBU for tests)">
+  <!ENTITY nss-buildsize     "324 MB (add 288 MB for tests)">
+  <!ENTITY nss-time          "2.3 SBU (with parallelism=4, add 60 SBU for tests)">
   <!-- On my system, I got 64.2 SBU, but Bruce gets 18 SBU. -renodr -->
   <!-- On my system, I got 63 SBU, but Xi gets ~18 SBU. -pierre (for 3.78) -->
Index: server/other/unbound.xml
===================================================================
--- server/other/unbound.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ server/other/unbound.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -7,8 +7,8 @@
   <!ENTITY unbound-download-http "https://nlnetlabs.nl/downloads/unbound/unbound-&unbound-version;.tar.gz">
   <!ENTITY unbound-download-ftp  " ">
-  <!ENTITY unbound-md5sum        "f0a767b32058ae67311e5d3665139d15">
+  <!ENTITY unbound-md5sum        "79c863becb1934f6d467be74240e10b5">
   <!ENTITY unbound-size          "5.9 MB">
-  <!ENTITY unbound-buildsize     "139 MB (with docs; add 11 MB for tests)">
-  <!ENTITY unbound-time          "0.4 SBU (Using parallelism=4; with docs; add 0.4 SBU for tests)">
+  <!ENTITY unbound-buildsize     "141 MB (with docs; add 11 MB for tests)">
+  <!ENTITY unbound-time          "0.5 SBU (Using parallelism=4; with docs; add 0.4 SBU for tests)">
 ]>
 
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision 8955f28fa2e046ceaccca01f0543db84d3406aa4)
+++ xsoft/office/libreoffice.xml	(revision 569bf2f36839b8ee35b6d6226e4403a51518d061)
@@ -8,22 +8,22 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "2fb28cbd5a436e05fccf3b73ca77e6ed">
-  <!ENTITY libreoffice-core-size          "251 MB">
+  <!ENTITY libreoffice-core-md5sum        "aeb1fba3a91cf2edd580f7acf3ac66c6">
+  <!ENTITY libreoffice-core-size          "252 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "b32bfdd110b48d11f73f1dbf6e02dac2">
-  <!ENTITY libreoffice-dict-size          "49 MB">
+  <!ENTITY libreoffice-dict-md5sum        "bcc2882cd1922d46b55f80e017281007">
+  <!ENTITY libreoffice-dict-size          "50 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "595d7b2eac64e38656e821edf8d48f2a">
-  <!ENTITY libreoffice-help-size          "107 MB">
+  <!ENTITY libreoffice-help-md5sum        "e27690f5d88a9481d73eed77e4bdcf48">
+  <!ENTITY libreoffice-help-size          "108 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "1b55ae19a4a414a3e910a99d18f504bf">
-  <!ENTITY libreoffice-translations-size          "190 MB">
+  <!ENTITY libreoffice-translations-md5sum        "e51486097cc6290aa8dd75f6643224c1">
+  <!ENTITY libreoffice-translations-size          "191 MB">
 
   <!-- full size remeasured for 7.0.0.3 -->
 
-  <!ENTITY libreoffice-buildsize  "9.5 GB including the additional files if downloaded during the build (748 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
+  <!ENTITY libreoffice-buildsize  "6.7 GB including the additional files if downloaded during the build (682 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
 
  <!-- Editors: many updates to poppler will break LO using system poppler until
@@ -183,5 +183,5 @@
 <!-- keep one commented patch, it's sure to again need one or more in a few months:-->
 
-
+<!--
       <listitem>
         <para>
@@ -190,5 +190,5 @@
         </para>
       </listitem>
-
+-->
     </itemizedlist>
     <bridgehead renderas="sect3">LibreOffice Dependencies</bridgehead>
@@ -348,5 +348,5 @@
 
 <!-- keep a commented instruction if no patches are currently required -->
-
+<!--
     <para>
      First, fix build failures introduced by the latest poppler version:
@@ -354,5 +354,5 @@
 
 <screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-poppler_22_09_fixes-1.patch</userinput></screen>
-
+-->
     <para>
       If you have downloaded the dictionaries, help and translations tarballs,